## org.eclipse.uml2.uml.edit.providers
Class UMLItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.eclipse.uml2.uml.util.UMLAdapterFactory
              org.eclipse.uml2.uml.edit.providers.UMLItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IChildCreationExtender, org.eclipse.emf.edit.provider.IDisposable

    public class UMLItemProviderAdapterFactory

extends UMLAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IChildCreationExtender

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.IChildCreationExtender
`org.eclipse.emf.edit.provider.IChildCreationExtender.Descriptor`

Field Summary
`protected AbstractionItemProvider` `abstractionItemProvider` This keeps track of the one adapter used for all `Abstraction` instances
`protected AcceptCallActionItemProvider` `acceptCallActionItemProvider` This keeps track of the one adapter used for all `AcceptCallAction` instances
`protected AcceptEventActionItemProvider` `acceptEventActionItemProvider` This keeps track of the one adapter used for all `AcceptEventAction` instances
`protected ActionExecutionSpecificationItemProvider` `actionExecutionSpecificationItemProvider` This keeps track of the one adapter used for all `ActionExecutionSpecification` instances
`protected ActionInputPinItemProvider` `actionInputPinItemProvider` This keeps track of the one adapter used for all `ActionInputPin` instances
`protected ActivityFinalNodeItemProvider` `activityFinalNodeItemProvider` This keeps track of the one adapter used for all `ActivityFinalNode` instances
`protected ActivityItemProvider` `activityItemProvider` This keeps track of the one adapter used for all `Activity` instances
`protected ActivityParameterNodeItemProvider` `activityParameterNodeItemProvider` This keeps track of the one adapter used for all `ActivityParameterNode` instances
`protected ActivityPartitionItemProvider` `activityPartitionItemProvider` This keeps track of the one adapter used for all `ActivityPartition` instances
`protected ActorItemProvider` `actorItemProvider` This keeps track of the one adapter used for all `Actor` instances
`protected AddStructuralFeatureValueActionItemProvider` `addStructuralFeatureValueActionItemProvider` This keeps track of the one adapter used for all `AddStructuralFeatureValueAction` instances
`protected AddVariableValueActionItemProvider` `addVariableValueActionItemProvider` This keeps track of the one adapter used for all `AddVariableValueAction` instances
`protected AnyReceiveEventItemProvider` `anyReceiveEventItemProvider` This keeps track of the one adapter used for all `AnyReceiveEvent` instances
`protected ArtifactItemProvider` `artifactItemProvider` This keeps track of the one adapter used for all `Artifact` instances
`protected AssociationClassItemProvider` `associationClassItemProvider` This keeps track of the one adapter used for all `AssociationClass` instances
`protected AssociationItemProvider` `associationItemProvider` This keeps track of the one adapter used for all `Association` instances
`protected BehaviorExecutionSpecificationItemProvider` `behaviorExecutionSpecificationItemProvider` This keeps track of the one adapter used for all `BehaviorExecutionSpecification` instances
`protected BroadcastSignalActionItemProvider` `broadcastSignalActionItemProvider` This keeps track of the one adapter used for all `BroadcastSignalAction` instances
`protected CallBehaviorActionItemProvider` `callBehaviorActionItemProvider` This keeps track of the one adapter used for all `CallBehaviorAction` instances
`protected CallEventItemProvider` `callEventItemProvider` This keeps track of the one adapter used for all `CallEvent` instances
`protected CallOperationActionItemProvider` `callOperationActionItemProvider` This keeps track of the one adapter used for all `CallOperationAction` instances
`protected CentralBufferNodeItemProvider` `centralBufferNodeItemProvider` This keeps track of the one adapter used for all `CentralBufferNode` instances
`protected ChangeEventItemProvider` `changeEventItemProvider` This keeps track of the one adapter used for all `ChangeEvent` instances
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`
`protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager` `childCreationExtenderManager` This helps manage the child creation extenders
`protected ClassifierTemplateParameterItemProvider` `classifierTemplateParameterItemProvider` This keeps track of the one adapter used for all `ClassifierTemplateParameter` instances
`protected ClassItemProvider` `classItemProvider` This keeps track of the one adapter used for all `Class` instances
`protected ClauseItemProvider` `clauseItemProvider` This keeps track of the one adapter used for all `Clause` instances
`protected ClearAssociationActionItemProvider` `clearAssociationActionItemProvider` This keeps track of the one adapter used for all `ClearAssociationAction` instances
`protected ClearStructuralFeatureActionItemProvider` `clearStructuralFeatureActionItemProvider` This keeps track of the one adapter used for all `ClearStructuralFeatureAction` instances
`protected ClearVariableActionItemProvider` `clearVariableActionItemProvider` This keeps track of the one adapter used for all `ClearVariableAction` instances
`protected CollaborationItemProvider` `collaborationItemProvider` This keeps track of the one adapter used for all `Collaboration` instances
`protected CollaborationUseItemProvider` `collaborationUseItemProvider` This keeps track of the one adapter used for all `CollaborationUse` instances
`protected CombinedFragmentItemProvider` `combinedFragmentItemProvider` This keeps track of the one adapter used for all `CombinedFragment` instances
`protected CommentItemProvider` `commentItemProvider` This keeps track of the one adapter used for all `Comment` instances
`protected CommunicationPathItemProvider` `communicationPathItemProvider` This keeps track of the one adapter used for all `CommunicationPath` instances
`protected ComponentItemProvider` `componentItemProvider` This keeps track of the one adapter used for all `Component` instances
`protected ComponentRealizationItemProvider` `componentRealizationItemProvider` This keeps track of the one adapter used for all `ComponentRealization` instances
`protected ConditionalNodeItemProvider` `conditionalNodeItemProvider` This keeps track of the one adapter used for all `ConditionalNode` instances
`protected ConnectableElementTemplateParameterItemProvider` `connectableElementTemplateParameterItemProvider` This keeps track of the one adapter used for all `ConnectableElementTemplateParameter` instances
`protected ConnectionPointReferenceItemProvider` `connectionPointReferenceItemProvider` This keeps track of the one adapter used for all `ConnectionPointReference` instances
`protected ConnectorEndItemProvider` `connectorEndItemProvider` This keeps track of the one adapter used for all `ConnectorEnd` instances
`protected ConnectorItemProvider` `connectorItemProvider` This keeps track of the one adapter used for all `Connector` instances
`protected ConsiderIgnoreFragmentItemProvider` `considerIgnoreFragmentItemProvider` This keeps track of the one adapter used for all `ConsiderIgnoreFragment` instances
`protected ConstraintItemProvider` `constraintItemProvider` This keeps track of the one adapter used for all `Constraint` instances
`protected ContinuationItemProvider` `continuationItemProvider` This keeps track of the one adapter used for all `Continuation` instances
`protected ControlFlowItemProvider` `controlFlowItemProvider` This keeps track of the one adapter used for all `ControlFlow` instances
`protected CreateLinkActionItemProvider` `createLinkActionItemProvider` This keeps track of the one adapter used for all `CreateLinkAction` instances
`protected CreateLinkObjectActionItemProvider` `createLinkObjectActionItemProvider` This keeps track of the one adapter used for all `CreateLinkObjectAction` instances
`protected CreateObjectActionItemProvider` `createObjectActionItemProvider` This keeps track of the one adapter used for all `CreateObjectAction` instances
`protected CreationEventItemProvider` `creationEventItemProvider` This keeps track of the one adapter used for all `CreationEvent` instances
`protected DataStoreNodeItemProvider` `dataStoreNodeItemProvider` This keeps track of the one adapter used for all `DataStoreNode` instances
`protected DataTypeItemProvider` `dataTypeItemProvider` This keeps track of the one adapter used for all `DataType` instances
`protected DecisionNodeItemProvider` `decisionNodeItemProvider` This keeps track of the one adapter used for all `DecisionNode` instances
`protected DependencyItemProvider` `dependencyItemProvider` This keeps track of the one adapter used for all `Dependency` instances
`protected DeploymentItemProvider` `deploymentItemProvider` This keeps track of the one adapter used for all `Deployment` instances
`protected DeploymentSpecificationItemProvider` `deploymentSpecificationItemProvider` This keeps track of the one adapter used for all `DeploymentSpecification` instances
`protected DestroyLinkActionItemProvider` `destroyLinkActionItemProvider` This keeps track of the one adapter used for all `DestroyLinkAction` instances
`protected DestroyObjectActionItemProvider` `destroyObjectActionItemProvider` This keeps track of the one adapter used for all `DestroyObjectAction` instances
`protected DestructionEventItemProvider` `destructionEventItemProvider` This keeps track of the one adapter used for all `DestructionEvent` instances
`protected DeviceItemProvider` `deviceItemProvider` This keeps track of the one adapter used for all `Device` instances
`protected DurationConstraintItemProvider` `durationConstraintItemProvider` This keeps track of the one adapter used for all `DurationConstraint` instances
`protected DurationIntervalItemProvider` `durationIntervalItemProvider` This keeps track of the one adapter used for all `DurationInterval` instances
`protected DurationItemProvider` `durationItemProvider` This keeps track of the one adapter used for all `Duration` instances
`protected DurationObservationItemProvider` `durationObservationItemProvider` This keeps track of the one adapter used for all `DurationObservation` instances
`protected ElementImportItemProvider` `elementImportItemProvider` This keeps track of the one adapter used for all `ElementImport` instances
`protected EnumerationItemProvider` `enumerationItemProvider` This keeps track of the one adapter used for all `Enumeration` instances
`protected EnumerationLiteralItemProvider` `enumerationLiteralItemProvider` This keeps track of the one adapter used for all `EnumerationLiteral` instances
`protected ExceptionHandlerItemProvider` `exceptionHandlerItemProvider` This keeps track of the one adapter used for all `ExceptionHandler` instances
`protected ExecutionEnvironmentItemProvider` `executionEnvironmentItemProvider` This keeps track of the one adapter used for all `ExecutionEnvironment` instances
`protected ExecutionEventItemProvider` `executionEventItemProvider` This keeps track of the one adapter used for all `ExecutionEvent` instances
`protected ExecutionOccurrenceSpecificationItemProvider` `executionOccurrenceSpecificationItemProvider` This keeps track of the one adapter used for all `ExecutionOccurrenceSpecification` instances
`protected ExpansionNodeItemProvider` `expansionNodeItemProvider` This keeps track of the one adapter used for all `ExpansionNode` instances
`protected ExpansionRegionItemProvider` `expansionRegionItemProvider` This keeps track of the one adapter used for all `ExpansionRegion` instances
`protected ExpressionItemProvider` `expressionItemProvider` This keeps track of the one adapter used for all `Expression` instances
`protected ExtendItemProvider` `extendItemProvider` This keeps track of the one adapter used for all `Extend` instances
`protected ExtensionEndItemProvider` `extensionEndItemProvider` This keeps track of the one adapter used for all `ExtensionEnd` instances
`protected ExtensionItemProvider` `extensionItemProvider` This keeps track of the one adapter used for all `Extension` instances
`protected ExtensionPointItemProvider` `extensionPointItemProvider` This keeps track of the one adapter used for all `ExtensionPoint` instances
`protected FinalStateItemProvider` `finalStateItemProvider` This keeps track of the one adapter used for all `FinalState` instances
`protected FlowFinalNodeItemProvider` `flowFinalNodeItemProvider` This keeps track of the one adapter used for all `FlowFinalNode` instances
`protected ForkNodeItemProvider` `forkNodeItemProvider` This keeps track of the one adapter used for all `ForkNode` instances
`protected FunctionBehaviorItemProvider` `functionBehaviorItemProvider` This keeps track of the one adapter used for all `FunctionBehavior` instances
`protected GateItemProvider` `gateItemProvider` This keeps track of the one adapter used for all `Gate` instances
`protected GeneralizationItemProvider` `generalizationItemProvider` This keeps track of the one adapter used for all `Generalization` instances
`protected GeneralizationSetItemProvider` `generalizationSetItemProvider` This keeps track of the one adapter used for all `GeneralizationSet` instances
`protected GeneralOrderingItemProvider` `generalOrderingItemProvider` This keeps track of the one adapter used for all `GeneralOrdering` instances
`protected ImageItemProvider` `imageItemProvider` This keeps track of the one adapter used for all `Image` instances
`protected IncludeItemProvider` `includeItemProvider` This keeps track of the one adapter used for all `Include` instances
`protected InformationFlowItemProvider` `informationFlowItemProvider` This keeps track of the one adapter used for all `InformationFlow` instances
`protected InformationItemItemProvider` `informationItemItemProvider` This keeps track of the one adapter used for all `InformationItem` instances
`protected InitialNodeItemProvider` `initialNodeItemProvider` This keeps track of the one adapter used for all `InitialNode` instances
`protected InputPinItemProvider` `inputPinItemProvider` This keeps track of the one adapter used for all `InputPin` instances
`protected InstanceSpecificationItemProvider` `instanceSpecificationItemProvider` This keeps track of the one adapter used for all `InstanceSpecification` instances
`protected InstanceValueItemProvider` `instanceValueItemProvider` This keeps track of the one adapter used for all `InstanceValue` instances
`protected InteractionConstraintItemProvider` `interactionConstraintItemProvider` This keeps track of the one adapter used for all `InteractionConstraint` instances
`protected InteractionItemProvider` `interactionItemProvider` This keeps track of the one adapter used for all `Interaction` instances
`protected InteractionOperandItemProvider` `interactionOperandItemProvider` This keeps track of the one adapter used for all `InteractionOperand` instances
`protected InteractionUseItemProvider` `interactionUseItemProvider` This keeps track of the one adapter used for all `InteractionUse` instances
`protected InterfaceItemProvider` `interfaceItemProvider` This keeps track of the one adapter used for all `Interface` instances
`protected InterfaceRealizationItemProvider` `interfaceRealizationItemProvider` This keeps track of the one adapter used for all `InterfaceRealization` instances
`protected InterruptibleActivityRegionItemProvider` `interruptibleActivityRegionItemProvider` This keeps track of the one adapter used for all `InterruptibleActivityRegion` instances
`protected IntervalConstraintItemProvider` `intervalConstraintItemProvider` This keeps track of the one adapter used for all `IntervalConstraint` instances
`protected IntervalItemProvider` `intervalItemProvider` This keeps track of the one adapter used for all `Interval` instances
`protected JoinNodeItemProvider` `joinNodeItemProvider` This keeps track of the one adapter used for all `JoinNode` instances
`protected LifelineItemProvider` `lifelineItemProvider` This keeps track of the one adapter used for all `Lifeline` instances
`protected LinkEndCreationDataItemProvider` `linkEndCreationDataItemProvider` This keeps track of the one adapter used for all `LinkEndCreationData` instances
`protected LinkEndDataItemProvider` `linkEndDataItemProvider` This keeps track of the one adapter used for all `LinkEndData` instances
`protected LinkEndDestructionDataItemProvider` `linkEndDestructionDataItemProvider` This keeps track of the one adapter used for all `LinkEndDestructionData` instances
`protected LiteralBooleanItemProvider` `literalBooleanItemProvider` This keeps track of the one adapter used for all `LiteralBoolean` instances
`protected LiteralIntegerItemProvider` `literalIntegerItemProvider` This keeps track of the one adapter used for all `LiteralInteger` instances
`protected LiteralNullItemProvider` `literalNullItemProvider` This keeps track of the one adapter used for all `LiteralNull` instances
`protected LiteralStringItemProvider` `literalStringItemProvider` This keeps track of the one adapter used for all `LiteralString` instances
`protected LiteralUnlimitedNaturalItemProvider` `literalUnlimitedNaturalItemProvider` This keeps track of the one adapter used for all `LiteralUnlimitedNatural` instances
`protected LoopNodeItemProvider` `loopNodeItemProvider` This keeps track of the one adapter used for all `LoopNode` instances
`protected ManifestationItemProvider` `manifestationItemProvider` This keeps track of the one adapter used for all `Manifestation` instances
`protected MergeNodeItemProvider` `mergeNodeItemProvider` This keeps track of the one adapter used for all `MergeNode` instances
`protected MessageItemProvider` `messageItemProvider` This keeps track of the one adapter used for all `Message` instances
`protected MessageOccurrenceSpecificationItemProvider` `messageOccurrenceSpecificationItemProvider` This keeps track of the one adapter used for all `MessageOccurrenceSpecification` instances
`protected ModelItemProvider` `modelItemProvider` This keeps track of the one adapter used for all `Model` instances
`protected NodeItemProvider` `nodeItemProvider` This keeps track of the one adapter used for all `Node` instances
`protected ObjectFlowItemProvider` `objectFlowItemProvider` This keeps track of the one adapter used for all `ObjectFlow` instances
`protected OccurrenceSpecificationItemProvider` `occurrenceSpecificationItemProvider` This keeps track of the one adapter used for all `OccurrenceSpecification` instances
`protected OpaqueActionItemProvider` `opaqueActionItemProvider` This keeps track of the one adapter used for all `OpaqueAction` instances
`protected OpaqueBehaviorItemProvider` `opaqueBehaviorItemProvider` This keeps track of the one adapter used for all `OpaqueBehavior` instances
`protected OpaqueExpressionItemProvider` `opaqueExpressionItemProvider` This keeps track of the one adapter used for all `OpaqueExpression` instances
`protected OperationItemProvider` `operationItemProvider` This keeps track of the one adapter used for all `Operation` instances
`protected OperationTemplateParameterItemProvider` `operationTemplateParameterItemProvider` This keeps track of the one adapter used for all `OperationTemplateParameter` instances
`protected OutputPinItemProvider` `outputPinItemProvider` This keeps track of the one adapter used for all `OutputPin` instances
`protected PackageImportItemProvider` `packageImportItemProvider` This keeps track of the one adapter used for all `PackageImport` instances
`protected PackageItemProvider` `packageItemProvider` This keeps track of the one adapter used for all `Package` instances
`protected PackageMergeItemProvider` `packageMergeItemProvider` This keeps track of the one adapter used for all `PackageMerge` instances
`protected ParameterItemProvider` `parameterItemProvider` This keeps track of the one adapter used for all `Parameter` instances
`protected ParameterSetItemProvider` `parameterSetItemProvider` This keeps track of the one adapter used for all `ParameterSet` instances
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory
`protected PartDecompositionItemProvider` `partDecompositionItemProvider` This keeps track of the one adapter used for all `PartDecomposition` instances
`protected PinItemProvider` `pinItemProvider` This keeps track of the one adapter used for all `Pin` instances
`protected PortItemProvider` `portItemProvider` This keeps track of the one adapter used for all `Port` instances
`protected PrimitiveTypeItemProvider` `primitiveTypeItemProvider` This keeps track of the one adapter used for all `PrimitiveType` instances
`protected ProfileApplicationItemProvider` `profileApplicationItemProvider` This keeps track of the one adapter used for all `ProfileApplication` instances
`protected ProfileItemProvider` `profileItemProvider` This keeps track of the one adapter used for all `Profile` instances
`protected PropertyItemProvider` `propertyItemProvider` This keeps track of the one adapter used for all `Property` instances
`protected ProtocolConformanceItemProvider` `protocolConformanceItemProvider` This keeps track of the one adapter used for all `ProtocolConformance` instances
`protected ProtocolStateMachineItemProvider` `protocolStateMachineItemProvider` This keeps track of the one adapter used for all `ProtocolStateMachine` instances
`protected ProtocolTransitionItemProvider` `protocolTransitionItemProvider` This keeps track of the one adapter used for all `ProtocolTransition` instances
`protected PseudostateItemProvider` `pseudostateItemProvider` This keeps track of the one adapter used for all `Pseudostate` instances
`protected QualifierValueItemProvider` `qualifierValueItemProvider` This keeps track of the one adapter used for all `QualifierValue` instances
`protected RaiseExceptionActionItemProvider` `raiseExceptionActionItemProvider` This keeps track of the one adapter used for all `RaiseExceptionAction` instances
`protected ReadExtentActionItemProvider` `readExtentActionItemProvider` This keeps track of the one adapter used for all `ReadExtentAction` instances
`protected ReadIsClassifiedObjectActionItemProvider` `readIsClassifiedObjectActionItemProvider` This keeps track of the one adapter used for all `ReadIsClassifiedObjectAction` instances
`protected ReadLinkActionItemProvider` `readLinkActionItemProvider` This keeps track of the one adapter used for all `ReadLinkAction` instances
`protected ReadLinkObjectEndActionItemProvider` `readLinkObjectEndActionItemProvider` This keeps track of the one adapter used for all `ReadLinkObjectEndAction` instances
`protected ReadLinkObjectEndQualifierActionItemProvider` `readLinkObjectEndQualifierActionItemProvider` This keeps track of the one adapter used for all `ReadLinkObjectEndQualifierAction` instances
`protected ReadSelfActionItemProvider` `readSelfActionItemProvider` This keeps track of the one adapter used for all `ReadSelfAction` instances
`protected ReadStructuralFeatureActionItemProvider` `readStructuralFeatureActionItemProvider` This keeps track of the one adapter used for all `ReadStructuralFeatureAction` instances
`protected ReadVariableActionItemProvider` `readVariableActionItemProvider` This keeps track of the one adapter used for all `ReadVariableAction` instances
`protected RealizationItemProvider` `realizationItemProvider` This keeps track of the one adapter used for all `Realization` instances
`protected ReceiveOperationEventItemProvider` `receiveOperationEventItemProvider` This keeps track of the one adapter used for all `ReceiveOperationEvent` instances
`protected ReceiveSignalEventItemProvider` `receiveSignalEventItemProvider` This keeps track of the one adapter used for all `ReceiveSignalEvent` instances
`protected ReceptionItemProvider` `receptionItemProvider` This keeps track of the one adapter used for all `Reception` instances
`protected ReclassifyObjectActionItemProvider` `reclassifyObjectActionItemProvider` This keeps track of the one adapter used for all `ReclassifyObjectAction` instances
`protected RedefinableTemplateSignatureItemProvider` `redefinableTemplateSignatureItemProvider` This keeps track of the one adapter used for all `RedefinableTemplateSignature` instances
`protected ReduceActionItemProvider` `reduceActionItemProvider` This keeps track of the one adapter used for all `ReduceAction` instances
`protected RegionItemProvider` `regionItemProvider` This keeps track of the one adapter used for all `Region` instances
`protected RemoveStructuralFeatureValueActionItemProvider` `removeStructuralFeatureValueActionItemProvider` This keeps track of the one adapter used for all `RemoveStructuralFeatureValueAction` instances
`protected RemoveVariableValueActionItemProvider` `removeVariableValueActionItemProvider` This keeps track of the one adapter used for all `RemoveVariableValueAction` instances
`protected ReplyActionItemProvider` `replyActionItemProvider` This keeps track of the one adapter used for all `ReplyAction` instances
`protected SendObjectActionItemProvider` `sendObjectActionItemProvider` This keeps track of the one adapter used for all `SendObjectAction` instances
`protected SendOperationEventItemProvider` `sendOperationEventItemProvider` This keeps track of the one adapter used for all `SendOperationEvent` instances
`protected SendSignalActionItemProvider` `sendSignalActionItemProvider` This keeps track of the one adapter used for all `SendSignalAction` instances
`protected SendSignalEventItemProvider` `sendSignalEventItemProvider` This keeps track of the one adapter used for all `SendSignalEvent` instances
`protected SequenceNodeItemProvider` `sequenceNodeItemProvider` This keeps track of the one adapter used for all `SequenceNode` instances
`protected SignalEventItemProvider` `signalEventItemProvider` This keeps track of the one adapter used for all `SignalEvent` instances
`protected SignalItemProvider` `signalItemProvider` This keeps track of the one adapter used for all `Signal` instances
`protected SlotItemProvider` `slotItemProvider` This keeps track of the one adapter used for all `Slot` instances
`protected StartClassifierBehaviorActionItemProvider` `startClassifierBehaviorActionItemProvider` This keeps track of the one adapter used for all `StartClassifierBehaviorAction` instances
`protected StateInvariantItemProvider` `stateInvariantItemProvider` This keeps track of the one adapter used for all `StateInvariant` instances
`protected StateItemProvider` `stateItemProvider` This keeps track of the one adapter used for all `State` instances
`protected StateMachineItemProvider` `stateMachineItemProvider` This keeps track of the one adapter used for all `StateMachine` instances
`protected StereotypeApplicationItemProvider` `stereotypeApplicationItemProvider`
`protected StereotypeItemProvider` `stereotypeItemProvider` This keeps track of the one adapter used for all `Stereotype` instances
`protected StringExpressionItemProvider` `stringExpressionItemProvider` This keeps track of the one adapter used for all `StringExpression` instances
`protected StructuredActivityNodeItemProvider` `structuredActivityNodeItemProvider` This keeps track of the one adapter used for all `StructuredActivityNode` instances
`protected SubstitutionItemProvider` `substitutionItemProvider` This keeps track of the one adapter used for all `Substitution` instances
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`
`protected TemplateBindingItemProvider` `templateBindingItemProvider` This keeps track of the one adapter used for all `TemplateBinding` instances
`protected TemplateParameterItemProvider` `templateParameterItemProvider` This keeps track of the one adapter used for all `TemplateParameter` instances
`protected TemplateParameterSubstitutionItemProvider` `templateParameterSubstitutionItemProvider` This keeps track of the one adapter used for all `TemplateParameterSubstitution` instances
`protected TemplateSignatureItemProvider` `templateSignatureItemProvider` This keeps track of the one adapter used for all `TemplateSignature` instances
`protected TestIdentityActionItemProvider` `testIdentityActionItemProvider` This keeps track of the one adapter used for all `TestIdentityAction` instances
`protected TimeConstraintItemProvider` `timeConstraintItemProvider` This keeps track of the one adapter used for all `TimeConstraint` instances
`protected TimeEventItemProvider` `timeEventItemProvider` This keeps track of the one adapter used for all `TimeEvent` instances
`protected TimeExpressionItemProvider` `timeExpressionItemProvider` This keeps track of the one adapter used for all `TimeExpression` instances
`protected TimeIntervalItemProvider` `timeIntervalItemProvider` This keeps track of the one adapter used for all `TimeInterval` instances
`protected TimeObservationItemProvider` `timeObservationItemProvider` This keeps track of the one adapter used for all `TimeObservation` instances
`protected TransitionItemProvider` `transitionItemProvider` This keeps track of the one adapter used for all `Transition` instances
`protected TriggerItemProvider` `triggerItemProvider` This keeps track of the one adapter used for all `Trigger` instances
`protected UnmarshallActionItemProvider` `unmarshallActionItemProvider` This keeps track of the one adapter used for all `UnmarshallAction` instances
`protected UsageItemProvider` `usageItemProvider` This keeps track of the one adapter used for all `Usage` instances
`protected UseCaseItemProvider` `useCaseItemProvider` This keeps track of the one adapter used for all `UseCase` instances
`protected ValuePinItemProvider` `valuePinItemProvider` This keeps track of the one adapter used for all `ValuePin` instances
`protected ValueSpecificationActionItemProvider` `valueSpecificationActionItemProvider` This keeps track of the one adapter used for all `ValueSpecificationAction` instances
`protected VariableItemProvider` `variableItemProvider` This keeps track of the one adapter used for all `Variable` instances

Fields inherited from class org.eclipse.uml2.uml.util.UMLAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`UMLItemProviderAdapterFactory()` This constructs an instance

Method Summary
`org.eclipse.emf.common.notify.Adapter` `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter
`java.lang.Object` `adapt(java.lang.Object object, java.lang.Object type)`
`void` `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener
`org.eclipse.emf.common.notify.Adapter` `createAbstractionAdapter()` This creates an adapter for a `Abstraction`
`org.eclipse.emf.common.notify.Adapter` `createAcceptCallActionAdapter()` This creates an adapter for a `AcceptCallAction`
`org.eclipse.emf.common.notify.Adapter` `createAcceptEventActionAdapter()` This creates an adapter for a `AcceptEventAction`
`org.eclipse.emf.common.notify.Adapter` `createActionExecutionSpecificationAdapter()` This creates an adapter for a `ActionExecutionSpecification`
`org.eclipse.emf.common.notify.Adapter` `createActionInputPinAdapter()` This creates an adapter for a `ActionInputPin`
`org.eclipse.emf.common.notify.Adapter` `createActivityAdapter()` This creates an adapter for a `Activity`
`org.eclipse.emf.common.notify.Adapter` `createActivityFinalNodeAdapter()` This creates an adapter for a `ActivityFinalNode`
`org.eclipse.emf.common.notify.Adapter` `createActivityParameterNodeAdapter()` This creates an adapter for a `ActivityParameterNode`
`org.eclipse.emf.common.notify.Adapter` `createActivityPartitionAdapter()` This creates an adapter for a `ActivityPartition`
`org.eclipse.emf.common.notify.Adapter` `createActorAdapter()` This creates an adapter for a `Actor`
`org.eclipse.emf.common.notify.Adapter` `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`
`org.eclipse.emf.common.notify.Adapter` `createAddStructuralFeatureValueActionAdapter()` This creates an adapter for a `AddStructuralFeatureValueAction`
`org.eclipse.emf.common.notify.Adapter` `createAddVariableValueActionAdapter()` This creates an adapter for a `AddVariableValueAction`
`org.eclipse.emf.common.notify.Adapter` `createAnyReceiveEventAdapter()` This creates an adapter for a `AnyReceiveEvent`
`org.eclipse.emf.common.notify.Adapter` `createArtifactAdapter()` This creates an adapter for a `Artifact`
`org.eclipse.emf.common.notify.Adapter` `createAssociationAdapter()` This creates an adapter for a `Association`
`org.eclipse.emf.common.notify.Adapter` `createAssociationClassAdapter()` This creates an adapter for a `AssociationClass`
`org.eclipse.emf.common.notify.Adapter` `createBehaviorExecutionSpecificationAdapter()` This creates an adapter for a `BehaviorExecutionSpecification`
`org.eclipse.emf.common.notify.Adapter` `createBroadcastSignalActionAdapter()` This creates an adapter for a `BroadcastSignalAction`
`org.eclipse.emf.common.notify.Adapter` `createCallBehaviorActionAdapter()` This creates an adapter for a `CallBehaviorAction`
`org.eclipse.emf.common.notify.Adapter` `createCallEventAdapter()` This creates an adapter for a `CallEvent`
`org.eclipse.emf.common.notify.Adapter` `createCallOperationActionAdapter()` This creates an adapter for a `CallOperationAction`
`org.eclipse.emf.common.notify.Adapter` `createCentralBufferNodeAdapter()` This creates an adapter for a `CentralBufferNode`
`org.eclipse.emf.common.notify.Adapter` `createChangeEventAdapter()` This creates an adapter for a `ChangeEvent`
`org.eclipse.emf.common.notify.Adapter` `createClassAdapter()` This creates an adapter for a `Class`
`org.eclipse.emf.common.notify.Adapter` `createClassifierTemplateParameterAdapter()` This creates an adapter for a `ClassifierTemplateParameter`
`org.eclipse.emf.common.notify.Adapter` `createClauseAdapter()` This creates an adapter for a `Clause`
`org.eclipse.emf.common.notify.Adapter` `createClearAssociationActionAdapter()` This creates an adapter for a `ClearAssociationAction`
`org.eclipse.emf.common.notify.Adapter` `createClearStructuralFeatureActionAdapter()` This creates an adapter for a `ClearStructuralFeatureAction`
`org.eclipse.emf.common.notify.Adapter` `createClearVariableActionAdapter()` This creates an adapter for a `ClearVariableAction`
`org.eclipse.emf.common.notify.Adapter` `createCollaborationAdapter()` This creates an adapter for a `Collaboration`
`org.eclipse.emf.common.notify.Adapter` `createCollaborationUseAdapter()` This creates an adapter for a `CollaborationUse`
`org.eclipse.emf.common.notify.Adapter` `createCombinedFragmentAdapter()` This creates an adapter for a `CombinedFragment`
`org.eclipse.emf.common.notify.Adapter` `createCommentAdapter()` This creates an adapter for a `Comment`
`org.eclipse.emf.common.notify.Adapter` `createCommunicationPathAdapter()` This creates an adapter for a `CommunicationPath`
`org.eclipse.emf.common.notify.Adapter` `createComponentAdapter()` This creates an adapter for a `Component`
`org.eclipse.emf.common.notify.Adapter` `createComponentRealizationAdapter()` This creates an adapter for a `ComponentRealization`
`org.eclipse.emf.common.notify.Adapter` `createConditionalNodeAdapter()` This creates an adapter for a `ConditionalNode`
`org.eclipse.emf.common.notify.Adapter` `createConnectableElementTemplateParameterAdapter()` This creates an adapter for a `ConnectableElementTemplateParameter`
`org.eclipse.emf.common.notify.Adapter` `createConnectionPointReferenceAdapter()` This creates an adapter for a `ConnectionPointReference`
`org.eclipse.emf.common.notify.Adapter` `createConnectorAdapter()` This creates an adapter for a `Connector`
`org.eclipse.emf.common.notify.Adapter` `createConnectorEndAdapter()` This creates an adapter for a `ConnectorEnd`
`org.eclipse.emf.common.notify.Adapter` `createConsiderIgnoreFragmentAdapter()` This creates an adapter for a `ConsiderIgnoreFragment`
`org.eclipse.emf.common.notify.Adapter` `createConstraintAdapter()` This creates an adapter for a `Constraint`
`org.eclipse.emf.common.notify.Adapter` `createContinuationAdapter()` This creates an adapter for a `Continuation`
`org.eclipse.emf.common.notify.Adapter` `createControlFlowAdapter()` This creates an adapter for a `ControlFlow`
`org.eclipse.emf.common.notify.Adapter` `createCreateLinkActionAdapter()` This creates an adapter for a `CreateLinkAction`
`org.eclipse.emf.common.notify.Adapter` `createCreateLinkObjectActionAdapter()` This creates an adapter for a `CreateLinkObjectAction`
`org.eclipse.emf.common.notify.Adapter` `createCreateObjectActionAdapter()` This creates an adapter for a `CreateObjectAction`
`org.eclipse.emf.common.notify.Adapter` `createCreationEventAdapter()` This creates an adapter for a `CreationEvent`
`org.eclipse.emf.common.notify.Adapter` `createDataStoreNodeAdapter()` This creates an adapter for a `DataStoreNode`
`org.eclipse.emf.common.notify.Adapter` `createDataTypeAdapter()` This creates an adapter for a `DataType`
`org.eclipse.emf.common.notify.Adapter` `createDecisionNodeAdapter()` This creates an adapter for a `DecisionNode`
`org.eclipse.emf.common.notify.Adapter` `createDependencyAdapter()` This creates an adapter for a `Dependency`
`org.eclipse.emf.common.notify.Adapter` `createDeploymentAdapter()` This creates an adapter for a `Deployment`
`org.eclipse.emf.common.notify.Adapter` `createDeploymentSpecificationAdapter()` This creates an adapter for a `DeploymentSpecification`
`org.eclipse.emf.common.notify.Adapter` `createDestroyLinkActionAdapter()` This creates an adapter for a `DestroyLinkAction`
`org.eclipse.emf.common.notify.Adapter` `createDestroyObjectActionAdapter()` This creates an adapter for a `DestroyObjectAction`
`org.eclipse.emf.common.notify.Adapter` `createDestructionEventAdapter()` This creates an adapter for a `DestructionEvent`
`org.eclipse.emf.common.notify.Adapter` `createDeviceAdapter()` This creates an adapter for a `Device`
`org.eclipse.emf.common.notify.Adapter` `createDurationAdapter()` This creates an adapter for a `Duration`
`org.eclipse.emf.common.notify.Adapter` `createDurationConstraintAdapter()` This creates an adapter for a `DurationConstraint`
`org.eclipse.emf.common.notify.Adapter` `createDurationIntervalAdapter()` This creates an adapter for a `DurationInterval`
`org.eclipse.emf.common.notify.Adapter` `createDurationObservationAdapter()` This creates an adapter for a `DurationObservation`
`org.eclipse.emf.common.notify.Adapter` `createElementImportAdapter()` This creates an adapter for a `ElementImport`
`org.eclipse.emf.common.notify.Adapter` `createEnumerationAdapter()` This creates an adapter for a `Enumeration`
`org.eclipse.emf.common.notify.Adapter` `createEnumerationLiteralAdapter()` This creates an adapter for a `EnumerationLiteral`
`org.eclipse.emf.common.notify.Adapter` `createExceptionHandlerAdapter()` This creates an adapter for a `ExceptionHandler`
`org.eclipse.emf.common.notify.Adapter` `createExecutionEnvironmentAdapter()` This creates an adapter for a `ExecutionEnvironment`
`org.eclipse.emf.common.notify.Adapter` `createExecutionEventAdapter()` This creates an adapter for a `ExecutionEvent`
`org.eclipse.emf.common.notify.Adapter` `createExecutionOccurrenceSpecificationAdapter()` This creates an adapter for a `ExecutionOccurrenceSpecification`
`org.eclipse.emf.common.notify.Adapter` `createExpansionNodeAdapter()` This creates an adapter for a `ExpansionNode`
`org.eclipse.emf.common.notify.Adapter` `createExpansionRegionAdapter()` This creates an adapter for a `ExpansionRegion`
`org.eclipse.emf.common.notify.Adapter` `createExpressionAdapter()` This creates an adapter for a `Expression`
`org.eclipse.emf.common.notify.Adapter` `createExtendAdapter()` This creates an adapter for a `Extend`
`org.eclipse.emf.common.notify.Adapter` `createExtensionAdapter()` This creates an adapter for a `Extension`
`org.eclipse.emf.common.notify.Adapter` `createExtensionEndAdapter()` This creates an adapter for a `ExtensionEnd`
`org.eclipse.emf.common.notify.Adapter` `createExtensionPointAdapter()` This creates an adapter for a `ExtensionPoint`
`org.eclipse.emf.common.notify.Adapter` `createFinalStateAdapter()` This creates an adapter for a `FinalState`
`org.eclipse.emf.common.notify.Adapter` `createFlowFinalNodeAdapter()` This creates an adapter for a `FlowFinalNode`
`org.eclipse.emf.common.notify.Adapter` `createForkNodeAdapter()` This creates an adapter for a `ForkNode`
`org.eclipse.emf.common.notify.Adapter` `createFunctionBehaviorAdapter()` This creates an adapter for a `FunctionBehavior`
`org.eclipse.emf.common.notify.Adapter` `createGateAdapter()` This creates an adapter for a `Gate`
`org.eclipse.emf.common.notify.Adapter` `createGeneralizationAdapter()` This creates an adapter for a `Generalization`
`org.eclipse.emf.common.notify.Adapter` `createGeneralizationSetAdapter()` This creates an adapter for a `GeneralizationSet`
`org.eclipse.emf.common.notify.Adapter` `createGeneralOrderingAdapter()` This creates an adapter for a `GeneralOrdering`
`org.eclipse.emf.common.notify.Adapter` `createImageAdapter()` This creates an adapter for a `Image`
`org.eclipse.emf.common.notify.Adapter` `createIncludeAdapter()` This creates an adapter for a `Include`
`org.eclipse.emf.common.notify.Adapter` `createInformationFlowAdapter()` This creates an adapter for a `InformationFlow`
`org.eclipse.emf.common.notify.Adapter` `createInformationItemAdapter()` This creates an adapter for a `InformationItem`
`org.eclipse.emf.common.notify.Adapter` `createInitialNodeAdapter()` This creates an adapter for a `InitialNode`
`org.eclipse.emf.common.notify.Adapter` `createInputPinAdapter()` This creates an adapter for a `InputPin`
`org.eclipse.emf.common.notify.Adapter` `createInstanceSpecificationAdapter()` This creates an adapter for a `InstanceSpecification`
`org.eclipse.emf.common.notify.Adapter` `createInstanceValueAdapter()` This creates an adapter for a `InstanceValue`
`org.eclipse.emf.common.notify.Adapter` `createInteractionAdapter()` This creates an adapter for a `Interaction`
`org.eclipse.emf.common.notify.Adapter` `createInteractionConstraintAdapter()` This creates an adapter for a `InteractionConstraint`
`org.eclipse.emf.common.notify.Adapter` `createInteractionOperandAdapter()` This creates an adapter for a `InteractionOperand`
`org.eclipse.emf.common.notify.Adapter` `createInteractionUseAdapter()` This creates an adapter for a `InteractionUse`
`org.eclipse.emf.common.notify.Adapter` `createInterfaceAdapter()` This creates an adapter for a `Interface`
`org.eclipse.emf.common.notify.Adapter` `createInterfaceRealizationAdapter()` This creates an adapter for a `InterfaceRealization`
`org.eclipse.emf.common.notify.Adapter` `createInterruptibleActivityRegionAdapter()` This creates an adapter for a `InterruptibleActivityRegion`
`org.eclipse.emf.common.notify.Adapter` `createIntervalAdapter()` This creates an adapter for a `Interval`
`org.eclipse.emf.common.notify.Adapter` `createIntervalConstraintAdapter()` This creates an adapter for a `IntervalConstraint`
`org.eclipse.emf.common.notify.Adapter` `createJoinNodeAdapter()` This creates an adapter for a `JoinNode`
`org.eclipse.emf.common.notify.Adapter` `createLifelineAdapter()` This creates an adapter for a `Lifeline`
`org.eclipse.emf.common.notify.Adapter` `createLinkEndCreationDataAdapter()` This creates an adapter for a `LinkEndCreationData`
`org.eclipse.emf.common.notify.Adapter` `createLinkEndDataAdapter()` This creates an adapter for a `LinkEndData`
`org.eclipse.emf.common.notify.Adapter` `createLinkEndDestructionDataAdapter()` This creates an adapter for a `LinkEndDestructionData`
`org.eclipse.emf.common.notify.Adapter` `createLiteralBooleanAdapter()` This creates an adapter for a `LiteralBoolean`
`org.eclipse.emf.common.notify.Adapter` `createLiteralIntegerAdapter()` This creates an adapter for a `LiteralInteger`
`org.eclipse.emf.common.notify.Adapter` `createLiteralNullAdapter()` This creates an adapter for a `LiteralNull`
`org.eclipse.emf.common.notify.Adapter` `createLiteralStringAdapter()` This creates an adapter for a `LiteralString`
`org.eclipse.emf.common.notify.Adapter` `createLiteralUnlimitedNaturalAdapter()` This creates an adapter for a `LiteralUnlimitedNatural`
`org.eclipse.emf.common.notify.Adapter` `createLoopNodeAdapter()` This creates an adapter for a `LoopNode`
`org.eclipse.emf.common.notify.Adapter` `createManifestationAdapter()` This creates an adapter for a `Manifestation`
`org.eclipse.emf.common.notify.Adapter` `createMergeNodeAdapter()` This creates an adapter for a `MergeNode`
`org.eclipse.emf.common.notify.Adapter` `createMessageAdapter()` This creates an adapter for a `Message`
`org.eclipse.emf.common.notify.Adapter` `createMessageOccurrenceSpecificationAdapter()` This creates an adapter for a `MessageOccurrenceSpecification`
`org.eclipse.emf.common.notify.Adapter` `createModelAdapter()` This creates an adapter for a `Model`
`org.eclipse.emf.common.notify.Adapter` `createNodeAdapter()` This creates an adapter for a `Node`
`org.eclipse.emf.common.notify.Adapter` `createObjectFlowAdapter()` This creates an adapter for a `ObjectFlow`
`org.eclipse.emf.common.notify.Adapter` `createOccurrenceSpecificationAdapter()` This creates an adapter for a `OccurrenceSpecification`
`org.eclipse.emf.common.notify.Adapter` `createOpaqueActionAdapter()` This creates an adapter for a `OpaqueAction`
`org.eclipse.emf.common.notify.Adapter` `createOpaqueBehaviorAdapter()` This creates an adapter for a `OpaqueBehavior`
`org.eclipse.emf.common.notify.Adapter` `createOpaqueExpressionAdapter()` This creates an adapter for a `OpaqueExpression`
`org.eclipse.emf.common.notify.Adapter` `createOperationAdapter()` This creates an adapter for a `Operation`
`org.eclipse.emf.common.notify.Adapter` `createOperationTemplateParameterAdapter()` This creates an adapter for a `OperationTemplateParameter`
`org.eclipse.emf.common.notify.Adapter` `createOutputPinAdapter()` This creates an adapter for a `OutputPin`
`org.eclipse.emf.common.notify.Adapter` `createPackageAdapter()` This creates an adapter for a `Package`
`org.eclipse.emf.common.notify.Adapter` `createPackageImportAdapter()` This creates an adapter for a `PackageImport`
`org.eclipse.emf.common.notify.Adapter` `createPackageMergeAdapter()` This creates an adapter for a `PackageMerge`
`org.eclipse.emf.common.notify.Adapter` `createParameterAdapter()` This creates an adapter for a `Parameter`
`org.eclipse.emf.common.notify.Adapter` `createParameterSetAdapter()` This creates an adapter for a `ParameterSet`
`org.eclipse.emf.common.notify.Adapter` `createPartDecompositionAdapter()` This creates an adapter for a `PartDecomposition`
`org.eclipse.emf.common.notify.Adapter` `createPinAdapter()` This creates an adapter for a `Pin`
`org.eclipse.emf.common.notify.Adapter` `createPortAdapter()` This creates an adapter for a `Port`
`org.eclipse.emf.common.notify.Adapter` `createPrimitiveTypeAdapter()` This creates an adapter for a `PrimitiveType`
`org.eclipse.emf.common.notify.Adapter` `createProfileAdapter()` This creates an adapter for a `Profile`
`org.eclipse.emf.common.notify.Adapter` `createProfileApplicationAdapter()` This creates an adapter for a `ProfileApplication`
`org.eclipse.emf.common.notify.Adapter` `createPropertyAdapter()` This creates an adapter for a `Property`
`org.eclipse.emf.common.notify.Adapter` `createProtocolConformanceAdapter()` This creates an adapter for a `ProtocolConformance`
`org.eclipse.emf.common.notify.Adapter` `createProtocolStateMachineAdapter()` This creates an adapter for a `ProtocolStateMachine`
`org.eclipse.emf.common.notify.Adapter` `createProtocolTransitionAdapter()` This creates an adapter for a `ProtocolTransition`
`org.eclipse.emf.common.notify.Adapter` `createPseudostateAdapter()` This creates an adapter for a `Pseudostate`
`org.eclipse.emf.common.notify.Adapter` `createQualifierValueAdapter()` This creates an adapter for a `QualifierValue`
`org.eclipse.emf.common.notify.Adapter` `createRaiseExceptionActionAdapter()` This creates an adapter for a `RaiseExceptionAction`
`org.eclipse.emf.common.notify.Adapter` `createReadExtentActionAdapter()` This creates an adapter for a `ReadExtentAction`
`org.eclipse.emf.common.notify.Adapter` `createReadIsClassifiedObjectActionAdapter()` This creates an adapter for a `ReadIsClassifiedObjectAction`
`org.eclipse.emf.common.notify.Adapter` `createReadLinkActionAdapter()` This creates an adapter for a `ReadLinkAction`
`org.eclipse.emf.common.notify.Adapter` `createReadLinkObjectEndActionAdapter()` This creates an adapter for a `ReadLinkObjectEndAction`
`org.eclipse.emf.common.notify.Adapter` `createReadLinkObjectEndQualifierActionAdapter()` This creates an adapter for a `ReadLinkObjectEndQualifierAction`
`org.eclipse.emf.common.notify.Adapter` `createReadSelfActionAdapter()` This creates an adapter for a `ReadSelfAction`
`org.eclipse.emf.common.notify.Adapter` `createReadStructuralFeatureActionAdapter()` This creates an adapter for a `ReadStructuralFeatureAction`
`org.eclipse.emf.common.notify.Adapter` `createReadVariableActionAdapter()` This creates an adapter for a `ReadVariableAction`
`org.eclipse.emf.common.notify.Adapter` `createRealizationAdapter()` This creates an adapter for a `Realization`
`org.eclipse.emf.common.notify.Adapter` `createReceiveOperationEventAdapter()` This creates an adapter for a `ReceiveOperationEvent`
`org.eclipse.emf.common.notify.Adapter` `createReceiveSignalEventAdapter()` This creates an adapter for a `ReceiveSignalEvent`
`org.eclipse.emf.common.notify.Adapter` `createReceptionAdapter()` This creates an adapter for a `Reception`
`org.eclipse.emf.common.notify.Adapter` `createReclassifyObjectActionAdapter()` This creates an adapter for a `ReclassifyObjectAction`
`org.eclipse.emf.common.notify.Adapter` `createRedefinableTemplateSignatureAdapter()` This creates an adapter for a `RedefinableTemplateSignature`
`org.eclipse.emf.common.notify.Adapter` `createReduceActionAdapter()` This creates an adapter for a `ReduceAction`
`org.eclipse.emf.common.notify.Adapter` `createRegionAdapter()` This creates an adapter for a `Region`
`org.eclipse.emf.common.notify.Adapter` `createRemoveStructuralFeatureValueActionAdapter()` This creates an adapter for a `RemoveStructuralFeatureValueAction`
`org.eclipse.emf.common.notify.Adapter` `createRemoveVariableValueActionAdapter()` This creates an adapter for a `RemoveVariableValueAction`
`org.eclipse.emf.common.notify.Adapter` `createReplyActionAdapter()` This creates an adapter for a `ReplyAction`
`org.eclipse.emf.common.notify.Adapter` `createSendObjectActionAdapter()` This creates an adapter for a `SendObjectAction`
`org.eclipse.emf.common.notify.Adapter` `createSendOperationEventAdapter()` This creates an adapter for a `SendOperationEvent`
`org.eclipse.emf.common.notify.Adapter` `createSendSignalActionAdapter()` This creates an adapter for a `SendSignalAction`
`org.eclipse.emf.common.notify.Adapter` `createSendSignalEventAdapter()` This creates an adapter for a `SendSignalEvent`
`org.eclipse.emf.common.notify.Adapter` `createSequenceNodeAdapter()` This creates an adapter for a `SequenceNode`
`org.eclipse.emf.common.notify.Adapter` `createSignalAdapter()` This creates an adapter for a `Signal`
`org.eclipse.emf.common.notify.Adapter` `createSignalEventAdapter()` This creates an adapter for a `SignalEvent`
`org.eclipse.emf.common.notify.Adapter` `createSlotAdapter()` This creates an adapter for a `Slot`
`org.eclipse.emf.common.notify.Adapter` `createStartClassifierBehaviorActionAdapter()` This creates an adapter for a `StartClassifierBehaviorAction`
`org.eclipse.emf.common.notify.Adapter` `createStateAdapter()` This creates an adapter for a `State`
`org.eclipse.emf.common.notify.Adapter` `createStateInvariantAdapter()` This creates an adapter for a `StateInvariant`
`org.eclipse.emf.common.notify.Adapter` `createStateMachineAdapter()` This creates an adapter for a `StateMachine`
`org.eclipse.emf.common.notify.Adapter` `createStereotypeAdapter()` This creates an adapter for a `Stereotype`
`org.eclipse.emf.common.notify.Adapter` `createStereotypeApplicationAdapter()`
`org.eclipse.emf.common.notify.Adapter` `createStringExpressionAdapter()` This creates an adapter for a `StringExpression`
`org.eclipse.emf.common.notify.Adapter` `createStructuredActivityNodeAdapter()` This creates an adapter for a `StructuredActivityNode`
`org.eclipse.emf.common.notify.Adapter` `createSubstitutionAdapter()` This creates an adapter for a `Substitution`
`org.eclipse.emf.common.notify.Adapter` `createTemplateBindingAdapter()` This creates an adapter for a `TemplateBinding`
`org.eclipse.emf.common.notify.Adapter` `createTemplateParameterAdapter()` This creates an adapter for a `TemplateParameter`
`org.eclipse.emf.common.notify.Adapter` `createTemplateParameterSubstitutionAdapter()` This creates an adapter for a `TemplateParameterSubstitution`
`org.eclipse.emf.common.notify.Adapter` `createTemplateSignatureAdapter()` This creates an adapter for a `TemplateSignature`
`org.eclipse.emf.common.notify.Adapter` `createTestIdentityActionAdapter()` This creates an adapter for a `TestIdentityAction`
`org.eclipse.emf.common.notify.Adapter` `createTimeConstraintAdapter()` This creates an adapter for a `TimeConstraint`
`org.eclipse.emf.common.notify.Adapter` `createTimeEventAdapter()` This creates an adapter for a `TimeEvent`
`org.eclipse.emf.common.notify.Adapter` `createTimeExpressionAdapter()` This creates an adapter for a `TimeExpression`
`org.eclipse.emf.common.notify.Adapter` `createTimeIntervalAdapter()` This creates an adapter for a `TimeInterval`
`org.eclipse.emf.common.notify.Adapter` `createTimeObservationAdapter()` This creates an adapter for a `TimeObservation`
`org.eclipse.emf.common.notify.Adapter` `createTransitionAdapter()` This creates an adapter for a `Transition`
`org.eclipse.emf.common.notify.Adapter` `createTriggerAdapter()` This creates an adapter for a `Trigger`
`org.eclipse.emf.common.notify.Adapter` `createUnmarshallActionAdapter()` This creates an adapter for a `UnmarshallAction`
`org.eclipse.emf.common.notify.Adapter` `createUsageAdapter()` This creates an adapter for a `Usage`
`org.eclipse.emf.common.notify.Adapter` `createUseCaseAdapter()` This creates an adapter for a `UseCase`
`org.eclipse.emf.common.notify.Adapter` `createValuePinAdapter()` This creates an adapter for a `ValuePin`
`org.eclipse.emf.common.notify.Adapter` `createValueSpecificationActionAdapter()` This creates an adapter for a `ValueSpecificationAction`
`org.eclipse.emf.common.notify.Adapter` `createVariableAdapter()` This creates an adapter for a `Variable`
`void` `dispose()`
`void` `disposeGen()` This disposes all of the item providers created by this factory
`void` `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`
`java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender>` `getChildCreationExtenders()`
`java.util.Collection<?>` `getNewChildDescriptors(java.lang.Object object, org.eclipse.emf.edit.domain.EditingDomain editingDomain)`
`org.eclipse.emf.common.util.ResourceLocator` `getResourceLocator()`
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory
`boolean` `isFactoryForType(java.lang.Object type)` Returns whether this factory is applicable for the type of the object
`boolean` `isFactoryForTypeGen(java.lang.Object type)`
`void` `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener
`void` `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory

Methods inherited from class org.eclipse.uml2.uml.util.UMLAdapterFactory

`createActionAdapter, createActivityEdgeAdapter, createActivityGroupAdapter, createActivityNodeAdapter, createBehaviorAdapter, createBehavioralFeatureAdapter, createBehavioredClassifierAdapter, createCallActionAdapter, createClassifierAdapter, createConnectableElementAdapter, createControlNodeAdapter, createDeployedArtifactAdapter, createDeploymentTargetAdapter, createDirectedRelationshipAdapter, createElementAdapter, createEModelElementAdapter, createEncapsulatedClassifierAdapter, createEObjectAdapter, createEventAdapter, createExecutableNodeAdapter, createExecutionSpecificationAdapter, createFeatureAdapter, createFinalNodeAdapter, createInteractionFragmentAdapter, createInvocationActionAdapter, createLinkActionAdapter, createLiteralSpecificationAdapter, createMessageEndAdapter, createMessageEventAdapter, createMultiplicityElementAdapter, createNamedElementAdapter, createNamespaceAdapter, createObjectNodeAdapter, createObservationAdapter, createPackageableElementAdapter, createParameterableElementAdapter, createRedefinableElementAdapter, createRelationshipAdapter, createStructuralFeatureActionAdapter, createStructuralFeatureAdapter, createStructuredClassifierAdapter, createTemplateableElementAdapter, createTypeAdapter, createTypedElementAdapter, createValueSpecificationAdapter, createVariableActionAdapter, createVertexAdapter, createWriteLinkActionAdapter, createWriteStructuralFeatureActionAdapter, createWriteVariableActionAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, associate, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### childCreationExtenderManager

    protected org.eclipse.emf.edit.provider.ChildCreationExtenderManager childCreationExtenderManager

  This helps manage the child creation extenders.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### commentItemProvider

    protected CommentItemProvider commentItemProvider

  This keeps track of the one adapter used for all `Comment` instances.

### packageItemProvider

    protected PackageItemProvider packageItemProvider

  This keeps track of the one adapter used for all `Package` instances.

### elementImportItemProvider

    protected ElementImportItemProvider elementImportItemProvider

  This keeps track of the one adapter used for all `ElementImport` instances.

### templateParameterSubstitutionItemProvider

    protected TemplateParameterSubstitutionItemProvider templateParameterSubstitutionItemProvider

  This keeps track of the one adapter used for all `TemplateParameterSubstitution` instances.

### templateParameterItemProvider

    protected TemplateParameterItemProvider templateParameterItemProvider

  This keeps track of the one adapter used for all `TemplateParameter` instances.

### templateSignatureItemProvider

    protected TemplateSignatureItemProvider templateSignatureItemProvider

  This keeps track of the one adapter used for all `TemplateSignature` instances.

### generalizationItemProvider

    protected GeneralizationItemProvider generalizationItemProvider

  This keeps track of the one adapter used for all `Generalization` instances.

### packageImportItemProvider

    protected PackageImportItemProvider packageImportItemProvider

  This keeps track of the one adapter used for all `PackageImport` instances.

### constraintItemProvider

    protected ConstraintItemProvider constraintItemProvider

  This keeps track of the one adapter used for all `Constraint` instances.

### dependencyItemProvider

    protected DependencyItemProvider dependencyItemProvider

  This keeps track of the one adapter used for all `Dependency` instances.

### profileApplicationItemProvider

    protected ProfileApplicationItemProvider profileApplicationItemProvider

  This keeps track of the one adapter used for all `ProfileApplication` instances.

### enumerationItemProvider

    protected EnumerationItemProvider enumerationItemProvider

  This keeps track of the one adapter used for all `Enumeration` instances.

### modelItemProvider

    protected ModelItemProvider modelItemProvider

  This keeps track of the one adapter used for all `Model` instances.

### imageItemProvider

    protected ImageItemProvider imageItemProvider

  This keeps track of the one adapter used for all `Image` instances.

### profileItemProvider

    protected ProfileItemProvider profileItemProvider

  This keeps track of the one adapter used for all `Profile` instances.

### interfaceRealizationItemProvider

    protected InterfaceRealizationItemProvider interfaceRealizationItemProvider

  This keeps track of the one adapter used for all `InterfaceRealization` instances.

### generalizationSetItemProvider

    protected GeneralizationSetItemProvider generalizationSetItemProvider

  This keeps track of the one adapter used for all `GeneralizationSet` instances.

### substitutionItemProvider

    protected SubstitutionItemProvider substitutionItemProvider

  This keeps track of the one adapter used for all `Substitution` instances.

### includeItemProvider

    protected IncludeItemProvider includeItemProvider

  This keeps track of the one adapter used for all `Include` instances.

### extendItemProvider

    protected ExtendItemProvider extendItemProvider

  This keeps track of the one adapter used for all `Extend` instances.

### extensionPointItemProvider

    protected ExtensionPointItemProvider extensionPointItemProvider

  This keeps track of the one adapter used for all `ExtensionPoint` instances.

### associationItemProvider

    protected AssociationItemProvider associationItemProvider

  This keeps track of the one adapter used for all `Association` instances.

### redefinableTemplateSignatureItemProvider

    protected RedefinableTemplateSignatureItemProvider redefinableTemplateSignatureItemProvider

  This keeps track of the one adapter used for all `RedefinableTemplateSignature` instances.

### realizationItemProvider

    protected RealizationItemProvider realizationItemProvider

  This keeps track of the one adapter used for all `Realization` instances.

### abstractionItemProvider

    protected AbstractionItemProvider abstractionItemProvider

  This keeps track of the one adapter used for all `Abstraction` instances.

### opaqueExpressionItemProvider

    protected OpaqueExpressionItemProvider opaqueExpressionItemProvider

  This keeps track of the one adapter used for all `OpaqueExpression` instances.

### parameterItemProvider

    protected ParameterItemProvider parameterItemProvider

  This keeps track of the one adapter used for all `Parameter` instances.

### connectorEndItemProvider

    protected ConnectorEndItemProvider connectorEndItemProvider

  This keeps track of the one adapter used for all `ConnectorEnd` instances.

### propertyItemProvider

    protected PropertyItemProvider propertyItemProvider

  This keeps track of the one adapter used for all `Property` instances.

### deploymentItemProvider

    protected DeploymentItemProvider deploymentItemProvider

  This keeps track of the one adapter used for all `Deployment` instances.

### deploymentSpecificationItemProvider

    protected DeploymentSpecificationItemProvider deploymentSpecificationItemProvider

  This keeps track of the one adapter used for all `DeploymentSpecification` instances.

### artifactItemProvider

    protected ArtifactItemProvider artifactItemProvider

  This keeps track of the one adapter used for all `Artifact` instances.

### manifestationItemProvider

    protected ManifestationItemProvider manifestationItemProvider

  This keeps track of the one adapter used for all `Manifestation` instances.

### operationItemProvider

    protected OperationItemProvider operationItemProvider

  This keeps track of the one adapter used for all `Operation` instances.

### classItemProvider

    protected ClassItemProvider classItemProvider

  This keeps track of the one adapter used for all `Class` instances.

### dataTypeItemProvider

    protected DataTypeItemProvider dataTypeItemProvider

  This keeps track of the one adapter used for all `DataType` instances.

### operationTemplateParameterItemProvider

    protected OperationTemplateParameterItemProvider operationTemplateParameterItemProvider

  This keeps track of the one adapter used for all `OperationTemplateParameter` instances.

### receptionItemProvider

    protected ReceptionItemProvider receptionItemProvider

  This keeps track of the one adapter used for all `Reception` instances.

### signalItemProvider

    protected SignalItemProvider signalItemProvider

  This keeps track of the one adapter used for all `Signal` instances.

### protocolStateMachineItemProvider

    protected ProtocolStateMachineItemProvider protocolStateMachineItemProvider

  This keeps track of the one adapter used for all `ProtocolStateMachine` instances.

### stateMachineItemProvider

    protected StateMachineItemProvider stateMachineItemProvider

  This keeps track of the one adapter used for all `StateMachine` instances.

### regionItemProvider

    protected RegionItemProvider regionItemProvider

  This keeps track of the one adapter used for all `Region` instances.

### transitionItemProvider

    protected TransitionItemProvider transitionItemProvider

  This keeps track of the one adapter used for all `Transition` instances.

### triggerItemProvider

    protected TriggerItemProvider triggerItemProvider

  This keeps track of the one adapter used for all `Trigger` instances.

### portItemProvider

    protected PortItemProvider portItemProvider

  This keeps track of the one adapter used for all `Port` instances.

### stateItemProvider

    protected StateItemProvider stateItemProvider

  This keeps track of the one adapter used for all `State` instances.

### connectionPointReferenceItemProvider

    protected ConnectionPointReferenceItemProvider connectionPointReferenceItemProvider

  This keeps track of the one adapter used for all `ConnectionPointReference` instances.

### pseudostateItemProvider

    protected PseudostateItemProvider pseudostateItemProvider

  This keeps track of the one adapter used for all `Pseudostate` instances.

### protocolConformanceItemProvider

    protected ProtocolConformanceItemProvider protocolConformanceItemProvider

  This keeps track of the one adapter used for all `ProtocolConformance` instances.

### connectorItemProvider

    protected ConnectorItemProvider connectorItemProvider

  This keeps track of the one adapter used for all `Connector` instances.

### connectableElementTemplateParameterItemProvider

    protected ConnectableElementTemplateParameterItemProvider connectableElementTemplateParameterItemProvider

  This keeps track of the one adapter used for all `ConnectableElementTemplateParameter` instances.

### templateBindingItemProvider

    protected TemplateBindingItemProvider templateBindingItemProvider

  This keeps track of the one adapter used for all `TemplateBinding` instances.

### collaborationUseItemProvider

    protected CollaborationUseItemProvider collaborationUseItemProvider

  This keeps track of the one adapter used for all `CollaborationUse` instances.

### collaborationItemProvider

    protected CollaborationItemProvider collaborationItemProvider

  This keeps track of the one adapter used for all `Collaboration` instances.

### useCaseItemProvider

    protected UseCaseItemProvider useCaseItemProvider

  This keeps track of the one adapter used for all `UseCase` instances.

### extensionItemProvider

    protected ExtensionItemProvider extensionItemProvider

  This keeps track of the one adapter used for all `Extension` instances.

### classifierTemplateParameterItemProvider

    protected ClassifierTemplateParameterItemProvider classifierTemplateParameterItemProvider

  This keeps track of the one adapter used for all `ClassifierTemplateParameter` instances.

### stringExpressionItemProvider

    protected StringExpressionItemProvider stringExpressionItemProvider

  This keeps track of the one adapter used for all `StringExpression` instances.

### interfaceItemProvider

    protected InterfaceItemProvider interfaceItemProvider

  This keeps track of the one adapter used for all `Interface` instances.

### extensionEndItemProvider

    protected ExtensionEndItemProvider extensionEndItemProvider

  This keeps track of the one adapter used for all `ExtensionEnd` instances.

### stereotypeItemProvider

    protected StereotypeItemProvider stereotypeItemProvider

  This keeps track of the one adapter used for all `Stereotype` instances.

### expressionItemProvider

    protected ExpressionItemProvider expressionItemProvider

  This keeps track of the one adapter used for all `Expression` instances.

### packageMergeItemProvider

    protected PackageMergeItemProvider packageMergeItemProvider

  This keeps track of the one adapter used for all `PackageMerge` instances.

### literalStringItemProvider

    protected LiteralStringItemProvider literalStringItemProvider

  This keeps track of the one adapter used for all `LiteralString` instances.

### literalBooleanItemProvider

    protected LiteralBooleanItemProvider literalBooleanItemProvider

  This keeps track of the one adapter used for all `LiteralBoolean` instances.

### literalNullItemProvider

    protected LiteralNullItemProvider literalNullItemProvider

  This keeps track of the one adapter used for all `LiteralNull` instances.

### instanceValueItemProvider

    protected InstanceValueItemProvider instanceValueItemProvider

  This keeps track of the one adapter used for all `InstanceValue` instances.

### primitiveTypeItemProvider

    protected PrimitiveTypeItemProvider primitiveTypeItemProvider

  This keeps track of the one adapter used for all `PrimitiveType` instances.

### slotItemProvider

    protected SlotItemProvider slotItemProvider

  This keeps track of the one adapter used for all `Slot` instances.

### enumerationLiteralItemProvider

    protected EnumerationLiteralItemProvider enumerationLiteralItemProvider

  This keeps track of the one adapter used for all `EnumerationLiteral` instances.

### instanceSpecificationItemProvider

    protected InstanceSpecificationItemProvider instanceSpecificationItemProvider

  This keeps track of the one adapter used for all `InstanceSpecification` instances.

### literalIntegerItemProvider

    protected LiteralIntegerItemProvider literalIntegerItemProvider

  This keeps track of the one adapter used for all `LiteralInteger` instances.

### literalUnlimitedNaturalItemProvider

    protected LiteralUnlimitedNaturalItemProvider literalUnlimitedNaturalItemProvider

  This keeps track of the one adapter used for all `LiteralUnlimitedNatural` instances.

### opaqueBehaviorItemProvider

    protected OpaqueBehaviorItemProvider opaqueBehaviorItemProvider

  This keeps track of the one adapter used for all `OpaqueBehavior` instances.

### functionBehaviorItemProvider

    protected FunctionBehaviorItemProvider functionBehaviorItemProvider

  This keeps track of the one adapter used for all `FunctionBehavior` instances.

### opaqueActionItemProvider

    protected OpaqueActionItemProvider opaqueActionItemProvider

  This keeps track of the one adapter used for all `OpaqueAction` instances.

### callEventItemProvider

    protected CallEventItemProvider callEventItemProvider

  This keeps track of the one adapter used for all `CallEvent` instances.

### controlFlowItemProvider

    protected ControlFlowItemProvider controlFlowItemProvider

  This keeps track of the one adapter used for all `ControlFlow` instances.

### interactionItemProvider

    protected InteractionItemProvider interactionItemProvider

  This keeps track of the one adapter used for all `Interaction` instances.

### lifelineItemProvider

    protected LifelineItemProvider lifelineItemProvider

  This keeps track of the one adapter used for all `Lifeline` instances.

### partDecompositionItemProvider

    protected PartDecompositionItemProvider partDecompositionItemProvider

  This keeps track of the one adapter used for all `PartDecomposition` instances.

### interactionUseItemProvider

    protected InteractionUseItemProvider interactionUseItemProvider

  This keeps track of the one adapter used for all `InteractionUse` instances.

### gateItemProvider

    protected GateItemProvider gateItemProvider

  This keeps track of the one adapter used for all `Gate` instances.

### generalOrderingItemProvider

    protected GeneralOrderingItemProvider generalOrderingItemProvider

  This keeps track of the one adapter used for all `GeneralOrdering` instances.

### structuredActivityNodeItemProvider

    protected StructuredActivityNodeItemProvider structuredActivityNodeItemProvider

  This keeps track of the one adapter used for all `StructuredActivityNode` instances.

### variableItemProvider

    protected VariableItemProvider variableItemProvider

  This keeps track of the one adapter used for all `Variable` instances.

### interruptibleActivityRegionItemProvider

    protected InterruptibleActivityRegionItemProvider interruptibleActivityRegionItemProvider

  This keeps track of the one adapter used for all `InterruptibleActivityRegion` instances.

### activityItemProvider

    protected ActivityItemProvider activityItemProvider

  This keeps track of the one adapter used for all `Activity` instances.

### activityPartitionItemProvider

    protected ActivityPartitionItemProvider activityPartitionItemProvider

  This keeps track of the one adapter used for all `ActivityPartition` instances.

### exceptionHandlerItemProvider

    protected ExceptionHandlerItemProvider exceptionHandlerItemProvider

  This keeps track of the one adapter used for all `ExceptionHandler` instances.

### outputPinItemProvider

    protected OutputPinItemProvider outputPinItemProvider

  This keeps track of the one adapter used for all `OutputPin` instances.

### pinItemProvider

    protected PinItemProvider pinItemProvider

  This keeps track of the one adapter used for all `Pin` instances.

### inputPinItemProvider

    protected InputPinItemProvider inputPinItemProvider

  This keeps track of the one adapter used for all `InputPin` instances.

### valuePinItemProvider

    protected ValuePinItemProvider valuePinItemProvider

  This keeps track of the one adapter used for all `ValuePin` instances.

### occurrenceSpecificationItemProvider

    protected OccurrenceSpecificationItemProvider occurrenceSpecificationItemProvider

  This keeps track of the one adapter used for all `OccurrenceSpecification` instances.

### interactionOperandItemProvider

    protected InteractionOperandItemProvider interactionOperandItemProvider

  This keeps track of the one adapter used for all `InteractionOperand` instances.

### interactionConstraintItemProvider

    protected InteractionConstraintItemProvider interactionConstraintItemProvider

  This keeps track of the one adapter used for all `InteractionConstraint` instances.

### executionOccurrenceSpecificationItemProvider

    protected ExecutionOccurrenceSpecificationItemProvider executionOccurrenceSpecificationItemProvider

  This keeps track of the one adapter used for all `ExecutionOccurrenceSpecification` instances.

### executionEventItemProvider

    protected ExecutionEventItemProvider executionEventItemProvider

  This keeps track of the one adapter used for all `ExecutionEvent` instances.

### stateInvariantItemProvider

    protected StateInvariantItemProvider stateInvariantItemProvider

  This keeps track of the one adapter used for all `StateInvariant` instances.

### actionExecutionSpecificationItemProvider

    protected ActionExecutionSpecificationItemProvider actionExecutionSpecificationItemProvider

  This keeps track of the one adapter used for all `ActionExecutionSpecification` instances.

### behaviorExecutionSpecificationItemProvider

    protected BehaviorExecutionSpecificationItemProvider behaviorExecutionSpecificationItemProvider

  This keeps track of the one adapter used for all `BehaviorExecutionSpecification` instances.

### creationEventItemProvider

    protected CreationEventItemProvider creationEventItemProvider

  This keeps track of the one adapter used for all `CreationEvent` instances.

### destructionEventItemProvider

    protected DestructionEventItemProvider destructionEventItemProvider

  This keeps track of the one adapter used for all `DestructionEvent` instances.

### sendOperationEventItemProvider

    protected SendOperationEventItemProvider sendOperationEventItemProvider

  This keeps track of the one adapter used for all `SendOperationEvent` instances.

### sendSignalEventItemProvider

    protected SendSignalEventItemProvider sendSignalEventItemProvider

  This keeps track of the one adapter used for all `SendSignalEvent` instances.

### messageOccurrenceSpecificationItemProvider

    protected MessageOccurrenceSpecificationItemProvider messageOccurrenceSpecificationItemProvider

  This keeps track of the one adapter used for all `MessageOccurrenceSpecification` instances.

### receiveOperationEventItemProvider

    protected ReceiveOperationEventItemProvider receiveOperationEventItemProvider

  This keeps track of the one adapter used for all `ReceiveOperationEvent` instances.

### receiveSignalEventItemProvider

    protected ReceiveSignalEventItemProvider receiveSignalEventItemProvider

  This keeps track of the one adapter used for all `ReceiveSignalEvent` instances.

### actorItemProvider

    protected ActorItemProvider actorItemProvider

  This keeps track of the one adapter used for all `Actor` instances.

### continuationItemProvider

    protected ContinuationItemProvider continuationItemProvider

  This keeps track of the one adapter used for all `Continuation` instances.

### considerIgnoreFragmentItemProvider

    protected ConsiderIgnoreFragmentItemProvider considerIgnoreFragmentItemProvider

  This keeps track of the one adapter used for all `ConsiderIgnoreFragment` instances.

### createObjectActionItemProvider

    protected CreateObjectActionItemProvider createObjectActionItemProvider

  This keeps track of the one adapter used for all `CreateObjectAction` instances.

### changeEventItemProvider

    protected ChangeEventItemProvider changeEventItemProvider

  This keeps track of the one adapter used for all `ChangeEvent` instances.

### signalEventItemProvider

    protected SignalEventItemProvider signalEventItemProvider

  This keeps track of the one adapter used for all `SignalEvent` instances.

### anyReceiveEventItemProvider

    protected AnyReceiveEventItemProvider anyReceiveEventItemProvider

  This keeps track of the one adapter used for all `AnyReceiveEvent` instances.

### forkNodeItemProvider

    protected ForkNodeItemProvider forkNodeItemProvider

  This keeps track of the one adapter used for all `ForkNode` instances.

### destroyObjectActionItemProvider

    protected DestroyObjectActionItemProvider destroyObjectActionItemProvider

  This keeps track of the one adapter used for all `DestroyObjectAction` instances.

### testIdentityActionItemProvider

    protected TestIdentityActionItemProvider testIdentityActionItemProvider

  This keeps track of the one adapter used for all `TestIdentityAction` instances.

### readSelfActionItemProvider

    protected ReadSelfActionItemProvider readSelfActionItemProvider

  This keeps track of the one adapter used for all `ReadSelfAction` instances.

### readStructuralFeatureActionItemProvider

    protected ReadStructuralFeatureActionItemProvider readStructuralFeatureActionItemProvider

  This keeps track of the one adapter used for all `ReadStructuralFeatureAction` instances.

### clearStructuralFeatureActionItemProvider

    protected ClearStructuralFeatureActionItemProvider clearStructuralFeatureActionItemProvider

  This keeps track of the one adapter used for all `ClearStructuralFeatureAction` instances.

### removeStructuralFeatureValueActionItemProvider

    protected RemoveStructuralFeatureValueActionItemProvider removeStructuralFeatureValueActionItemProvider

  This keeps track of the one adapter used for all `RemoveStructuralFeatureValueAction` instances.

### addStructuralFeatureValueActionItemProvider

    protected AddStructuralFeatureValueActionItemProvider addStructuralFeatureValueActionItemProvider

  This keeps track of the one adapter used for all `AddStructuralFeatureValueAction` instances.

### linkEndDataItemProvider

    protected LinkEndDataItemProvider linkEndDataItemProvider

  This keeps track of the one adapter used for all `LinkEndData` instances.

### qualifierValueItemProvider

    protected QualifierValueItemProvider qualifierValueItemProvider

  This keeps track of the one adapter used for all `QualifierValue` instances.

### readLinkActionItemProvider

    protected ReadLinkActionItemProvider readLinkActionItemProvider

  This keeps track of the one adapter used for all `ReadLinkAction` instances.

### linkEndCreationDataItemProvider

    protected LinkEndCreationDataItemProvider linkEndCreationDataItemProvider

  This keeps track of the one adapter used for all `LinkEndCreationData` instances.

### createLinkActionItemProvider

    protected CreateLinkActionItemProvider createLinkActionItemProvider

  This keeps track of the one adapter used for all `CreateLinkAction` instances.

### destroyLinkActionItemProvider

    protected DestroyLinkActionItemProvider destroyLinkActionItemProvider

  This keeps track of the one adapter used for all `DestroyLinkAction` instances.

### linkEndDestructionDataItemProvider

    protected LinkEndDestructionDataItemProvider linkEndDestructionDataItemProvider

  This keeps track of the one adapter used for all `LinkEndDestructionData` instances.

### clearAssociationActionItemProvider

    protected ClearAssociationActionItemProvider clearAssociationActionItemProvider

  This keeps track of the one adapter used for all `ClearAssociationAction` instances.

### broadcastSignalActionItemProvider

    protected BroadcastSignalActionItemProvider broadcastSignalActionItemProvider

  This keeps track of the one adapter used for all `BroadcastSignalAction` instances.

### sendObjectActionItemProvider

    protected SendObjectActionItemProvider sendObjectActionItemProvider

  This keeps track of the one adapter used for all `SendObjectAction` instances.

### valueSpecificationActionItemProvider

    protected ValueSpecificationActionItemProvider valueSpecificationActionItemProvider

  This keeps track of the one adapter used for all `ValueSpecificationAction` instances.

### timeExpressionItemProvider

    protected TimeExpressionItemProvider timeExpressionItemProvider

  This keeps track of the one adapter used for all `TimeExpression` instances.

### durationItemProvider

    protected DurationItemProvider durationItemProvider

  This keeps track of the one adapter used for all `Duration` instances.

### durationIntervalItemProvider

    protected DurationIntervalItemProvider durationIntervalItemProvider

  This keeps track of the one adapter used for all `DurationInterval` instances.

### sendSignalActionItemProvider

    protected SendSignalActionItemProvider sendSignalActionItemProvider

  This keeps track of the one adapter used for all `SendSignalAction` instances.

### intervalItemProvider

    protected IntervalItemProvider intervalItemProvider

  This keeps track of the one adapter used for all `Interval` instances.

### timeConstraintItemProvider

    protected TimeConstraintItemProvider timeConstraintItemProvider

  This keeps track of the one adapter used for all `TimeConstraint` instances.

### intervalConstraintItemProvider

    protected IntervalConstraintItemProvider intervalConstraintItemProvider

  This keeps track of the one adapter used for all `IntervalConstraint` instances.

### timeIntervalItemProvider

    protected TimeIntervalItemProvider timeIntervalItemProvider

  This keeps track of the one adapter used for all `TimeInterval` instances.

### durationConstraintItemProvider

    protected DurationConstraintItemProvider durationConstraintItemProvider

  This keeps track of the one adapter used for all `DurationConstraint` instances.

### timeObservationItemProvider

    protected TimeObservationItemProvider timeObservationItemProvider

  This keeps track of the one adapter used for all `TimeObservation` instances.

### durationObservationItemProvider

    protected DurationObservationItemProvider durationObservationItemProvider

  This keeps track of the one adapter used for all `DurationObservation` instances.

### finalStateItemProvider

    protected FinalStateItemProvider finalStateItemProvider

  This keeps track of the one adapter used for all `FinalState` instances.

### callOperationActionItemProvider

    protected CallOperationActionItemProvider callOperationActionItemProvider

  This keeps track of the one adapter used for all `CallOperationAction` instances.

### callBehaviorActionItemProvider

    protected CallBehaviorActionItemProvider callBehaviorActionItemProvider

  This keeps track of the one adapter used for all `CallBehaviorAction` instances.

### sequenceNodeItemProvider

    protected SequenceNodeItemProvider sequenceNodeItemProvider

  This keeps track of the one adapter used for all `SequenceNode` instances.

### informationFlowItemProvider

    protected InformationFlowItemProvider informationFlowItemProvider

  This keeps track of the one adapter used for all `InformationFlow` instances.

### readExtentActionItemProvider

    protected ReadExtentActionItemProvider readExtentActionItemProvider

  This keeps track of the one adapter used for all `ReadExtentAction` instances.

### parameterSetItemProvider

    protected ParameterSetItemProvider parameterSetItemProvider

  This keeps track of the one adapter used for all `ParameterSet` instances.

### clearVariableActionItemProvider

    protected ClearVariableActionItemProvider clearVariableActionItemProvider

  This keeps track of the one adapter used for all `ClearVariableAction` instances.

### addVariableValueActionItemProvider

    protected AddVariableValueActionItemProvider addVariableValueActionItemProvider

  This keeps track of the one adapter used for all `AddVariableValueAction` instances.

### removeVariableValueActionItemProvider

    protected RemoveVariableValueActionItemProvider removeVariableValueActionItemProvider

  This keeps track of the one adapter used for all `RemoveVariableValueAction` instances.

### raiseExceptionActionItemProvider

    protected RaiseExceptionActionItemProvider raiseExceptionActionItemProvider

  This keeps track of the one adapter used for all `RaiseExceptionAction` instances.

### actionInputPinItemProvider

    protected ActionInputPinItemProvider actionInputPinItemProvider

  This keeps track of the one adapter used for all `ActionInputPin` instances.

### informationItemItemProvider

    protected InformationItemItemProvider informationItemItemProvider

  This keeps track of the one adapter used for all `InformationItem` instances.

### reclassifyObjectActionItemProvider

    protected ReclassifyObjectActionItemProvider reclassifyObjectActionItemProvider

  This keeps track of the one adapter used for all `ReclassifyObjectAction` instances.

### readIsClassifiedObjectActionItemProvider

    protected ReadIsClassifiedObjectActionItemProvider readIsClassifiedObjectActionItemProvider

  This keeps track of the one adapter used for all `ReadIsClassifiedObjectAction` instances.

### startClassifierBehaviorActionItemProvider

    protected StartClassifierBehaviorActionItemProvider startClassifierBehaviorActionItemProvider

  This keeps track of the one adapter used for all `StartClassifierBehaviorAction` instances.

### readLinkObjectEndActionItemProvider

    protected ReadLinkObjectEndActionItemProvider readLinkObjectEndActionItemProvider

  This keeps track of the one adapter used for all `ReadLinkObjectEndAction` instances.

### readLinkObjectEndQualifierActionItemProvider

    protected ReadLinkObjectEndQualifierActionItemProvider readLinkObjectEndQualifierActionItemProvider

  This keeps track of the one adapter used for all `ReadLinkObjectEndQualifierAction` instances.

### createLinkObjectActionItemProvider

    protected CreateLinkObjectActionItemProvider createLinkObjectActionItemProvider

  This keeps track of the one adapter used for all `CreateLinkObjectAction` instances.

### acceptEventActionItemProvider

    protected AcceptEventActionItemProvider acceptEventActionItemProvider

  This keeps track of the one adapter used for all `AcceptEventAction` instances.

### acceptCallActionItemProvider

    protected AcceptCallActionItemProvider acceptCallActionItemProvider

  This keeps track of the one adapter used for all `AcceptCallAction` instances.

### replyActionItemProvider

    protected ReplyActionItemProvider replyActionItemProvider

  This keeps track of the one adapter used for all `ReplyAction` instances.

### unmarshallActionItemProvider

    protected UnmarshallActionItemProvider unmarshallActionItemProvider

  This keeps track of the one adapter used for all `UnmarshallAction` instances.

### reduceActionItemProvider

    protected ReduceActionItemProvider reduceActionItemProvider

  This keeps track of the one adapter used for all `ReduceAction` instances.

### joinNodeItemProvider

    protected JoinNodeItemProvider joinNodeItemProvider

  This keeps track of the one adapter used for all `JoinNode` instances.

### initialNodeItemProvider

    protected InitialNodeItemProvider initialNodeItemProvider

  This keeps track of the one adapter used for all `InitialNode` instances.

### activityParameterNodeItemProvider

    protected ActivityParameterNodeItemProvider activityParameterNodeItemProvider

  This keeps track of the one adapter used for all `ActivityParameterNode` instances.

### messageItemProvider

    protected MessageItemProvider messageItemProvider

  This keeps track of the one adapter used for all `Message` instances.

### flowFinalNodeItemProvider

    protected FlowFinalNodeItemProvider flowFinalNodeItemProvider

  This keeps track of the one adapter used for all `FlowFinalNode` instances.

### centralBufferNodeItemProvider

    protected CentralBufferNodeItemProvider centralBufferNodeItemProvider

  This keeps track of the one adapter used for all `CentralBufferNode` instances.

### mergeNodeItemProvider

    protected MergeNodeItemProvider mergeNodeItemProvider

  This keeps track of the one adapter used for all `MergeNode` instances.

### decisionNodeItemProvider

    protected DecisionNodeItemProvider decisionNodeItemProvider

  This keeps track of the one adapter used for all `DecisionNode` instances.

### activityFinalNodeItemProvider

    protected ActivityFinalNodeItemProvider activityFinalNodeItemProvider

  This keeps track of the one adapter used for all `ActivityFinalNode` instances.

### componentRealizationItemProvider

    protected ComponentRealizationItemProvider componentRealizationItemProvider

  This keeps track of the one adapter used for all `ComponentRealization` instances.

### dataStoreNodeItemProvider

    protected DataStoreNodeItemProvider dataStoreNodeItemProvider

  This keeps track of the one adapter used for all `DataStoreNode` instances.

### objectFlowItemProvider

    protected ObjectFlowItemProvider objectFlowItemProvider

  This keeps track of the one adapter used for all `ObjectFlow` instances.

### conditionalNodeItemProvider

    protected ConditionalNodeItemProvider conditionalNodeItemProvider

  This keeps track of the one adapter used for all `ConditionalNode` instances.

### usageItemProvider

    protected UsageItemProvider usageItemProvider

  This keeps track of the one adapter used for all `Usage` instances.

### clauseItemProvider

    protected ClauseItemProvider clauseItemProvider

  This keeps track of the one adapter used for all `Clause` instances.

### loopNodeItemProvider

    protected LoopNodeItemProvider loopNodeItemProvider

  This keeps track of the one adapter used for all `LoopNode` instances.

### expansionNodeItemProvider

    protected ExpansionNodeItemProvider expansionNodeItemProvider

  This keeps track of the one adapter used for all `ExpansionNode` instances.

### expansionRegionItemProvider

    protected ExpansionRegionItemProvider expansionRegionItemProvider

  This keeps track of the one adapter used for all `ExpansionRegion` instances.

### protocolTransitionItemProvider

    protected ProtocolTransitionItemProvider protocolTransitionItemProvider

  This keeps track of the one adapter used for all `ProtocolTransition` instances.

### componentItemProvider

    protected ComponentItemProvider componentItemProvider

  This keeps track of the one adapter used for all `Component` instances.

### nodeItemProvider

    protected NodeItemProvider nodeItemProvider

  This keeps track of the one adapter used for all `Node` instances.

### deviceItemProvider

    protected DeviceItemProvider deviceItemProvider

  This keeps track of the one adapter used for all `Device` instances.

### executionEnvironmentItemProvider

    protected ExecutionEnvironmentItemProvider executionEnvironmentItemProvider

  This keeps track of the one adapter used for all `ExecutionEnvironment` instances.

### communicationPathItemProvider

    protected CommunicationPathItemProvider communicationPathItemProvider

  This keeps track of the one adapter used for all `CommunicationPath` instances.

### combinedFragmentItemProvider

    protected CombinedFragmentItemProvider combinedFragmentItemProvider

  This keeps track of the one adapter used for all `CombinedFragment` instances.

### timeEventItemProvider

    protected TimeEventItemProvider timeEventItemProvider

  This keeps track of the one adapter used for all `TimeEvent` instances.

### readVariableActionItemProvider

    protected ReadVariableActionItemProvider readVariableActionItemProvider

  This keeps track of the one adapter used for all `ReadVariableAction` instances.

### associationClassItemProvider

    protected AssociationClassItemProvider associationClassItemProvider

  This keeps track of the one adapter used for all `AssociationClass` instances.

### stereotypeApplicationItemProvider

    protected StereotypeApplicationItemProvider stereotypeApplicationItemProvider

Constructor Detail

### UMLItemProviderAdapterFactory

    public UMLItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createCommentAdapter

    public org.eclipse.emf.common.notify.Adapter createCommentAdapter()

  This creates an adapter for a `Comment`.

  Overrides:
    `createCommentAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Comment`

### createDependencyAdapter

    public org.eclipse.emf.common.notify.Adapter createDependencyAdapter()

  This creates an adapter for a `Dependency`.

  Overrides:
    `createDependencyAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Dependency`

### createTemplateParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createTemplateParameterAdapter()

  This creates an adapter for a `TemplateParameter`.

  Overrides:
    `createTemplateParameterAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TemplateParameter`

### createTemplateSignatureAdapter

    public org.eclipse.emf.common.notify.Adapter createTemplateSignatureAdapter()

  This creates an adapter for a `TemplateSignature`.

  Overrides:
    `createTemplateSignatureAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TemplateSignature`

### createTemplateBindingAdapter

    public org.eclipse.emf.common.notify.Adapter createTemplateBindingAdapter()

  This creates an adapter for a `TemplateBinding`.

  Overrides:
    `createTemplateBindingAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TemplateBinding`

### createTemplateParameterSubstitutionAdapter

    public org.eclipse.emf.common.notify.Adapter createTemplateParameterSubstitutionAdapter()

  This creates an adapter for a `TemplateParameterSubstitution`.

  Overrides:
    `createTemplateParameterSubstitutionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TemplateParameterSubstitution`

### createElementImportAdapter

    public org.eclipse.emf.common.notify.Adapter createElementImportAdapter()

  This creates an adapter for a `ElementImport`.

  Overrides:
    `createElementImportAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ElementImport`

### createPackageImportAdapter

    public org.eclipse.emf.common.notify.Adapter createPackageImportAdapter()

  This creates an adapter for a `PackageImport`.

  Overrides:
    `createPackageImportAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PackageImport`

### createPackageAdapter

    public org.eclipse.emf.common.notify.Adapter createPackageAdapter()

  This creates an adapter for a `Package`.

  Overrides:
    `createPackageAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Package`

### createPackageMergeAdapter

    public org.eclipse.emf.common.notify.Adapter createPackageMergeAdapter()

  This creates an adapter for a `PackageMerge`.

  Overrides:
    `createPackageMergeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PackageMerge`

### createProfileApplicationAdapter

    public org.eclipse.emf.common.notify.Adapter createProfileApplicationAdapter()

  This creates an adapter for a `ProfileApplication`.

  Overrides:
    `createProfileApplicationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ProfileApplication`

### createProfileAdapter

    public org.eclipse.emf.common.notify.Adapter createProfileAdapter()

  This creates an adapter for a `Profile`.

  Overrides:
    `createProfileAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Profile`

### createStereotypeAdapter

    public org.eclipse.emf.common.notify.Adapter createStereotypeAdapter()

  This creates an adapter for a `Stereotype`.

  Overrides:
    `createStereotypeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Stereotype`

### createImageAdapter

    public org.eclipse.emf.common.notify.Adapter createImageAdapter()

  This creates an adapter for a `Image`.

  Overrides:
    `createImageAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Image`

### createClassAdapter

    public org.eclipse.emf.common.notify.Adapter createClassAdapter()

  This creates an adapter for a `Class`.

  Overrides:
    `createClassAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Class`

### createGeneralizationAdapter

    public org.eclipse.emf.common.notify.Adapter createGeneralizationAdapter()

  This creates an adapter for a `Generalization`.

  Overrides:
    `createGeneralizationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Generalization`

### createGeneralizationSetAdapter

    public org.eclipse.emf.common.notify.Adapter createGeneralizationSetAdapter()

  This creates an adapter for a `GeneralizationSet`.

  Overrides:
    `createGeneralizationSetAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GeneralizationSet`

### createUseCaseAdapter

    public org.eclipse.emf.common.notify.Adapter createUseCaseAdapter()

  This creates an adapter for a `UseCase`.

  Overrides:
    `createUseCaseAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UseCase`

### createIncludeAdapter

    public org.eclipse.emf.common.notify.Adapter createIncludeAdapter()

  This creates an adapter for a `Include`.

  Overrides:
    `createIncludeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Include`

### createExtendAdapter

    public org.eclipse.emf.common.notify.Adapter createExtendAdapter()

  This creates an adapter for a `Extend`.

  Overrides:
    `createExtendAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Extend`

### createConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createConstraintAdapter()

  This creates an adapter for a `Constraint`.

  Overrides:
    `createConstraintAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Constraint`

### createExtensionPointAdapter

    public org.eclipse.emf.common.notify.Adapter createExtensionPointAdapter()

  This creates an adapter for a `ExtensionPoint`.

  Overrides:
    `createExtensionPointAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExtensionPoint`

### createSubstitutionAdapter

    public org.eclipse.emf.common.notify.Adapter createSubstitutionAdapter()

  This creates an adapter for a `Substitution`.

  Overrides:
    `createSubstitutionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Substitution`

### createRealizationAdapter

    public org.eclipse.emf.common.notify.Adapter createRealizationAdapter()

  This creates an adapter for a `Realization`.

  Overrides:
    `createRealizationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Realization`

### createAbstractionAdapter

    public org.eclipse.emf.common.notify.Adapter createAbstractionAdapter()

  This creates an adapter for a `Abstraction`.

  Overrides:
    `createAbstractionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Abstraction`

### createOpaqueExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createOpaqueExpressionAdapter()

  This creates an adapter for a `OpaqueExpression`.

  Overrides:
    `createOpaqueExpressionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OpaqueExpression`

### createParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterAdapter()

  This creates an adapter for a `Parameter`.

  Overrides:
    `createParameterAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Parameter`

### createConnectorEndAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectorEndAdapter()

  This creates an adapter for a `ConnectorEnd`.

  Overrides:
    `createConnectorEndAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConnectorEnd`

### createPropertyAdapter

    public org.eclipse.emf.common.notify.Adapter createPropertyAdapter()

  This creates an adapter for a `Property`.

  Overrides:
    `createPropertyAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Property`

### createDeploymentAdapter

    public org.eclipse.emf.common.notify.Adapter createDeploymentAdapter()

  This creates an adapter for a `Deployment`.

  Overrides:
    `createDeploymentAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Deployment`

### createDeploymentSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createDeploymentSpecificationAdapter()

  This creates an adapter for a `DeploymentSpecification`.

  Overrides:
    `createDeploymentSpecificationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DeploymentSpecification`

### createArtifactAdapter

    public org.eclipse.emf.common.notify.Adapter createArtifactAdapter()

  This creates an adapter for a `Artifact`.

  Overrides:
    `createArtifactAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Artifact`

### createManifestationAdapter

    public org.eclipse.emf.common.notify.Adapter createManifestationAdapter()

  This creates an adapter for a `Manifestation`.

  Overrides:
    `createManifestationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Manifestation`

### createOperationAdapter

    public org.eclipse.emf.common.notify.Adapter createOperationAdapter()

  This creates an adapter for a `Operation`.

  Overrides:
    `createOperationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Operation`

### createParameterSetAdapter

    public org.eclipse.emf.common.notify.Adapter createParameterSetAdapter()

  This creates an adapter for a `ParameterSet`.

  Overrides:
    `createParameterSetAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ParameterSet`

### createDataTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createDataTypeAdapter()

  This creates an adapter for a `DataType`.

  Overrides:
    `createDataTypeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DataType`

### createInterfaceAdapter

    public org.eclipse.emf.common.notify.Adapter createInterfaceAdapter()

  This creates an adapter for a `Interface`.

  Overrides:
    `createInterfaceAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Interface`

### createReceptionAdapter

    public org.eclipse.emf.common.notify.Adapter createReceptionAdapter()

  This creates an adapter for a `Reception`.

  Overrides:
    `createReceptionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Reception`

### createSignalAdapter

    public org.eclipse.emf.common.notify.Adapter createSignalAdapter()

  This creates an adapter for a `Signal`.

  Overrides:
    `createSignalAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Signal`

### createProtocolStateMachineAdapter

    public org.eclipse.emf.common.notify.Adapter createProtocolStateMachineAdapter()

  This creates an adapter for a `ProtocolStateMachine`.

  Overrides:
    `createProtocolStateMachineAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ProtocolStateMachine`

### createStateMachineAdapter

    public org.eclipse.emf.common.notify.Adapter createStateMachineAdapter()

  This creates an adapter for a `StateMachine`.

  Overrides:
    `createStateMachineAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StateMachine`

### createRegionAdapter

    public org.eclipse.emf.common.notify.Adapter createRegionAdapter()

  This creates an adapter for a `Region`.

  Overrides:
    `createRegionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Region`

### createTransitionAdapter

    public org.eclipse.emf.common.notify.Adapter createTransitionAdapter()

  This creates an adapter for a `Transition`.

  Overrides:
    `createTransitionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Transition`

### createTriggerAdapter

    public org.eclipse.emf.common.notify.Adapter createTriggerAdapter()

  This creates an adapter for a `Trigger`.

  Overrides:
    `createTriggerAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Trigger`

### createPortAdapter

    public org.eclipse.emf.common.notify.Adapter createPortAdapter()

  This creates an adapter for a `Port`.

  Overrides:
    `createPortAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Port`

### createStateAdapter

    public org.eclipse.emf.common.notify.Adapter createStateAdapter()

  This creates an adapter for a `State`.

  Overrides:
    `createStateAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `State`

### createConnectionPointReferenceAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectionPointReferenceAdapter()

  This creates an adapter for a `ConnectionPointReference`.

  Overrides:
    `createConnectionPointReferenceAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConnectionPointReference`

### createPseudostateAdapter

    public org.eclipse.emf.common.notify.Adapter createPseudostateAdapter()

  This creates an adapter for a `Pseudostate`.

  Overrides:
    `createPseudostateAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Pseudostate`

### createProtocolConformanceAdapter

    public org.eclipse.emf.common.notify.Adapter createProtocolConformanceAdapter()

  This creates an adapter for a `ProtocolConformance`.

  Overrides:
    `createProtocolConformanceAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ProtocolConformance`

### createOperationTemplateParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createOperationTemplateParameterAdapter()

  This creates an adapter for a `OperationTemplateParameter`.

  Overrides:
    `createOperationTemplateParameterAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OperationTemplateParameter`

### createAssociationAdapter

    public org.eclipse.emf.common.notify.Adapter createAssociationAdapter()

  This creates an adapter for a `Association`.

  Overrides:
    `createAssociationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Association`

### createConnectableElementTemplateParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectableElementTemplateParameterAdapter()

  This creates an adapter for a `ConnectableElementTemplateParameter`.

  Overrides:
    `createConnectableElementTemplateParameterAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConnectableElementTemplateParameter`

### createCollaborationUseAdapter

    public org.eclipse.emf.common.notify.Adapter createCollaborationUseAdapter()

  This creates an adapter for a `CollaborationUse`.

  Overrides:
    `createCollaborationUseAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CollaborationUse`

### createCollaborationAdapter

    public org.eclipse.emf.common.notify.Adapter createCollaborationAdapter()

  This creates an adapter for a `Collaboration`.

  Overrides:
    `createCollaborationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Collaboration`

### createConnectorAdapter

    public org.eclipse.emf.common.notify.Adapter createConnectorAdapter()

  This creates an adapter for a `Connector`.

  Overrides:
    `createConnectorAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Connector`

### createRedefinableTemplateSignatureAdapter

    public org.eclipse.emf.common.notify.Adapter createRedefinableTemplateSignatureAdapter()

  This creates an adapter for a `RedefinableTemplateSignature`.

  Overrides:
    `createRedefinableTemplateSignatureAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RedefinableTemplateSignature`

### createClassifierTemplateParameterAdapter

    public org.eclipse.emf.common.notify.Adapter createClassifierTemplateParameterAdapter()

  This creates an adapter for a `ClassifierTemplateParameter`.

  Overrides:
    `createClassifierTemplateParameterAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ClassifierTemplateParameter`

### createInterfaceRealizationAdapter

    public org.eclipse.emf.common.notify.Adapter createInterfaceRealizationAdapter()

  This creates an adapter for a `InterfaceRealization`.

  Overrides:
    `createInterfaceRealizationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InterfaceRealization`

### createExtensionAdapter

    public org.eclipse.emf.common.notify.Adapter createExtensionAdapter()

  This creates an adapter for a `Extension`.

  Overrides:
    `createExtensionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Extension`

### createExtensionEndAdapter

    public org.eclipse.emf.common.notify.Adapter createExtensionEndAdapter()

  This creates an adapter for a `ExtensionEnd`.

  Overrides:
    `createExtensionEndAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExtensionEnd`

### createStringExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createStringExpressionAdapter()

  This creates an adapter for a `StringExpression`.

  Overrides:
    `createStringExpressionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StringExpression`

### createExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createExpressionAdapter()

  This creates an adapter for a `Expression`.

  Overrides:
    `createExpressionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Expression`

### createLiteralIntegerAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralIntegerAdapter()

  This creates an adapter for a `LiteralInteger`.

  Overrides:
    `createLiteralIntegerAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LiteralInteger`

### createLiteralStringAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralStringAdapter()

  This creates an adapter for a `LiteralString`.

  Overrides:
    `createLiteralStringAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LiteralString`

### createLiteralBooleanAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralBooleanAdapter()

  This creates an adapter for a `LiteralBoolean`.

  Overrides:
    `createLiteralBooleanAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LiteralBoolean`

### createLiteralNullAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralNullAdapter()

  This creates an adapter for a `LiteralNull`.

  Overrides:
    `createLiteralNullAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LiteralNull`

### createSlotAdapter

    public org.eclipse.emf.common.notify.Adapter createSlotAdapter()

  This creates an adapter for a `Slot`.

  Overrides:
    `createSlotAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Slot`

### createInstanceSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createInstanceSpecificationAdapter()

  This creates an adapter for a `InstanceSpecification`.

  Overrides:
    `createInstanceSpecificationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InstanceSpecification`

### createEnumerationAdapter

    public org.eclipse.emf.common.notify.Adapter createEnumerationAdapter()

  This creates an adapter for a `Enumeration`.

  Overrides:
    `createEnumerationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Enumeration`

### createEnumerationLiteralAdapter

    public org.eclipse.emf.common.notify.Adapter createEnumerationLiteralAdapter()

  This creates an adapter for a `EnumerationLiteral`.

  Overrides:
    `createEnumerationLiteralAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `EnumerationLiteral`

### createPrimitiveTypeAdapter

    public org.eclipse.emf.common.notify.Adapter createPrimitiveTypeAdapter()

  This creates an adapter for a `PrimitiveType`.

  Overrides:
    `createPrimitiveTypeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PrimitiveType`

### createInstanceValueAdapter

    public org.eclipse.emf.common.notify.Adapter createInstanceValueAdapter()

  This creates an adapter for a `InstanceValue`.

  Overrides:
    `createInstanceValueAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InstanceValue`

### createLiteralUnlimitedNaturalAdapter

    public org.eclipse.emf.common.notify.Adapter createLiteralUnlimitedNaturalAdapter()

  This creates an adapter for a `LiteralUnlimitedNatural`.

  Overrides:
    `createLiteralUnlimitedNaturalAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LiteralUnlimitedNatural`

### createOpaqueBehaviorAdapter

    public org.eclipse.emf.common.notify.Adapter createOpaqueBehaviorAdapter()

  This creates an adapter for a `OpaqueBehavior`.

  Overrides:
    `createOpaqueBehaviorAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OpaqueBehavior`

### createFunctionBehaviorAdapter

    public org.eclipse.emf.common.notify.Adapter createFunctionBehaviorAdapter()

  This creates an adapter for a `FunctionBehavior`.

  Overrides:
    `createFunctionBehaviorAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FunctionBehavior`

### createActorAdapter

    public org.eclipse.emf.common.notify.Adapter createActorAdapter()

  This creates an adapter for a `Actor`.

  Overrides:
    `createActorAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Actor`

### createUsageAdapter

    public org.eclipse.emf.common.notify.Adapter createUsageAdapter()

  This creates an adapter for a `Usage`.

  Overrides:
    `createUsageAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Usage`

### createMessageAdapter

    public org.eclipse.emf.common.notify.Adapter createMessageAdapter()

  This creates an adapter for a `Message`.

  Overrides:
    `createMessageAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Message`

### createInteractionAdapter

    public org.eclipse.emf.common.notify.Adapter createInteractionAdapter()

  This creates an adapter for a `Interaction`.

  Overrides:
    `createInteractionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Interaction`

### createLifelineAdapter

    public org.eclipse.emf.common.notify.Adapter createLifelineAdapter()

  This creates an adapter for a `Lifeline`.

  Overrides:
    `createLifelineAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Lifeline`

### createPartDecompositionAdapter

    public org.eclipse.emf.common.notify.Adapter createPartDecompositionAdapter()

  This creates an adapter for a `PartDecomposition`.

  Overrides:
    `createPartDecompositionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `PartDecomposition`

### createInteractionUseAdapter

    public org.eclipse.emf.common.notify.Adapter createInteractionUseAdapter()

  This creates an adapter for a `InteractionUse`.

  Overrides:
    `createInteractionUseAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InteractionUse`

### createGateAdapter

    public org.eclipse.emf.common.notify.Adapter createGateAdapter()

  This creates an adapter for a `Gate`.

  Overrides:
    `createGateAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Gate`

### createActivityAdapter

    public org.eclipse.emf.common.notify.Adapter createActivityAdapter()

  This creates an adapter for a `Activity`.

  Overrides:
    `createActivityAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Activity`

### createActivityPartitionAdapter

    public org.eclipse.emf.common.notify.Adapter createActivityPartitionAdapter()

  This creates an adapter for a `ActivityPartition`.

  Overrides:
    `createActivityPartitionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ActivityPartition`

### createStructuredActivityNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createStructuredActivityNodeAdapter()

  This creates an adapter for a `StructuredActivityNode`.

  Overrides:
    `createStructuredActivityNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StructuredActivityNode`

### createVariableAdapter

    public org.eclipse.emf.common.notify.Adapter createVariableAdapter()

  This creates an adapter for a `Variable`.

  Overrides:
    `createVariableAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Variable`

### createInterruptibleActivityRegionAdapter

    public org.eclipse.emf.common.notify.Adapter createInterruptibleActivityRegionAdapter()

  This creates an adapter for a `InterruptibleActivityRegion`.

  Overrides:
    `createInterruptibleActivityRegionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InterruptibleActivityRegion`

### createExceptionHandlerAdapter

    public org.eclipse.emf.common.notify.Adapter createExceptionHandlerAdapter()

  This creates an adapter for a `ExceptionHandler`.

  Overrides:
    `createExceptionHandlerAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExceptionHandler`

### createOutputPinAdapter

    public org.eclipse.emf.common.notify.Adapter createOutputPinAdapter()

  This creates an adapter for a `OutputPin`.

  Overrides:
    `createOutputPinAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OutputPin`

### createPinAdapter

    public org.eclipse.emf.common.notify.Adapter createPinAdapter()

  This creates an adapter for a `Pin`.

  Overrides:
    `createPinAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Pin`

### createInputPinAdapter

    public org.eclipse.emf.common.notify.Adapter createInputPinAdapter()

  This creates an adapter for a `InputPin`.

  Overrides:
    `createInputPinAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InputPin`

### createGeneralOrderingAdapter

    public org.eclipse.emf.common.notify.Adapter createGeneralOrderingAdapter()

  This creates an adapter for a `GeneralOrdering`.

  Overrides:
    `createGeneralOrderingAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `GeneralOrdering`

### createOccurrenceSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createOccurrenceSpecificationAdapter()

  This creates an adapter for a `OccurrenceSpecification`.

  Overrides:
    `createOccurrenceSpecificationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OccurrenceSpecification`

### createInteractionOperandAdapter

    public org.eclipse.emf.common.notify.Adapter createInteractionOperandAdapter()

  This creates an adapter for a `InteractionOperand`.

  Overrides:
    `createInteractionOperandAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InteractionOperand`

### createInteractionConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createInteractionConstraintAdapter()

  This creates an adapter for a `InteractionConstraint`.

  Overrides:
    `createInteractionConstraintAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InteractionConstraint`

### createExecutionOccurrenceSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createExecutionOccurrenceSpecificationAdapter()

  This creates an adapter for a `ExecutionOccurrenceSpecification`.

  Overrides:
    `createExecutionOccurrenceSpecificationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExecutionOccurrenceSpecification`

### createExecutionEventAdapter

    public org.eclipse.emf.common.notify.Adapter createExecutionEventAdapter()

  This creates an adapter for a `ExecutionEvent`.

  Overrides:
    `createExecutionEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExecutionEvent`

### createStateInvariantAdapter

    public org.eclipse.emf.common.notify.Adapter createStateInvariantAdapter()

  This creates an adapter for a `StateInvariant`.

  Overrides:
    `createStateInvariantAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StateInvariant`

### createActionExecutionSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createActionExecutionSpecificationAdapter()

  This creates an adapter for a `ActionExecutionSpecification`.

  Overrides:
    `createActionExecutionSpecificationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ActionExecutionSpecification`

### createBehaviorExecutionSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createBehaviorExecutionSpecificationAdapter()

  This creates an adapter for a `BehaviorExecutionSpecification`.

  Overrides:
    `createBehaviorExecutionSpecificationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BehaviorExecutionSpecification`

### createCreationEventAdapter

    public org.eclipse.emf.common.notify.Adapter createCreationEventAdapter()

  This creates an adapter for a `CreationEvent`.

  Overrides:
    `createCreationEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CreationEvent`

### createDestructionEventAdapter

    public org.eclipse.emf.common.notify.Adapter createDestructionEventAdapter()

  This creates an adapter for a `DestructionEvent`.

  Overrides:
    `createDestructionEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DestructionEvent`

### createSendOperationEventAdapter

    public org.eclipse.emf.common.notify.Adapter createSendOperationEventAdapter()

  This creates an adapter for a `SendOperationEvent`.

  Overrides:
    `createSendOperationEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SendOperationEvent`

### createSendSignalEventAdapter

    public org.eclipse.emf.common.notify.Adapter createSendSignalEventAdapter()

  This creates an adapter for a `SendSignalEvent`.

  Overrides:
    `createSendSignalEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SendSignalEvent`

### createMessageOccurrenceSpecificationAdapter

    public org.eclipse.emf.common.notify.Adapter createMessageOccurrenceSpecificationAdapter()

  This creates an adapter for a `MessageOccurrenceSpecification`.

  Overrides:
    `createMessageOccurrenceSpecificationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MessageOccurrenceSpecification`

### createReceiveOperationEventAdapter

    public org.eclipse.emf.common.notify.Adapter createReceiveOperationEventAdapter()

  This creates an adapter for a `ReceiveOperationEvent`.

  Overrides:
    `createReceiveOperationEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReceiveOperationEvent`

### createReceiveSignalEventAdapter

    public org.eclipse.emf.common.notify.Adapter createReceiveSignalEventAdapter()

  This creates an adapter for a `ReceiveSignalEvent`.

  Overrides:
    `createReceiveSignalEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReceiveSignalEvent`

### createCombinedFragmentAdapter

    public org.eclipse.emf.common.notify.Adapter createCombinedFragmentAdapter()

  This creates an adapter for a `CombinedFragment`.

  Overrides:
    `createCombinedFragmentAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CombinedFragment`

### createContinuationAdapter

    public org.eclipse.emf.common.notify.Adapter createContinuationAdapter()

  This creates an adapter for a `Continuation`.

  Overrides:
    `createContinuationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Continuation`

### createConsiderIgnoreFragmentAdapter

    public org.eclipse.emf.common.notify.Adapter createConsiderIgnoreFragmentAdapter()

  This creates an adapter for a `ConsiderIgnoreFragment`.

  Overrides:
    `createConsiderIgnoreFragmentAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConsiderIgnoreFragment`

### createCallEventAdapter

    public org.eclipse.emf.common.notify.Adapter createCallEventAdapter()

  This creates an adapter for a `CallEvent`.

  Overrides:
    `createCallEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CallEvent`

### createChangeEventAdapter

    public org.eclipse.emf.common.notify.Adapter createChangeEventAdapter()

  This creates an adapter for a `ChangeEvent`.

  Overrides:
    `createChangeEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ChangeEvent`

### createSignalEventAdapter

    public org.eclipse.emf.common.notify.Adapter createSignalEventAdapter()

  This creates an adapter for a `SignalEvent`.

  Overrides:
    `createSignalEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SignalEvent`

### createAnyReceiveEventAdapter

    public org.eclipse.emf.common.notify.Adapter createAnyReceiveEventAdapter()

  This creates an adapter for a `AnyReceiveEvent`.

  Overrides:
    `createAnyReceiveEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AnyReceiveEvent`

### createCreateObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCreateObjectActionAdapter()

  This creates an adapter for a `CreateObjectAction`.

  Overrides:
    `createCreateObjectActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CreateObjectAction`

### createDestroyObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createDestroyObjectActionAdapter()

  This creates an adapter for a `DestroyObjectAction`.

  Overrides:
    `createDestroyObjectActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DestroyObjectAction`

### createTestIdentityActionAdapter

    public org.eclipse.emf.common.notify.Adapter createTestIdentityActionAdapter()

  This creates an adapter for a `TestIdentityAction`.

  Overrides:
    `createTestIdentityActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TestIdentityAction`

### createReadSelfActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadSelfActionAdapter()

  This creates an adapter for a `ReadSelfAction`.

  Overrides:
    `createReadSelfActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReadSelfAction`

### createReadStructuralFeatureActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadStructuralFeatureActionAdapter()

  This creates an adapter for a `ReadStructuralFeatureAction`.

  Overrides:
    `createReadStructuralFeatureActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReadStructuralFeatureAction`

### createClearStructuralFeatureActionAdapter

    public org.eclipse.emf.common.notify.Adapter createClearStructuralFeatureActionAdapter()

  This creates an adapter for a `ClearStructuralFeatureAction`.

  Overrides:
    `createClearStructuralFeatureActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ClearStructuralFeatureAction`

### createRemoveStructuralFeatureValueActionAdapter

    public org.eclipse.emf.common.notify.Adapter createRemoveStructuralFeatureValueActionAdapter()

  This creates an adapter for a `RemoveStructuralFeatureValueAction`.

  Overrides:
    `createRemoveStructuralFeatureValueActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RemoveStructuralFeatureValueAction`

### createAddStructuralFeatureValueActionAdapter

    public org.eclipse.emf.common.notify.Adapter createAddStructuralFeatureValueActionAdapter()

  This creates an adapter for a `AddStructuralFeatureValueAction`.

  Overrides:
    `createAddStructuralFeatureValueActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AddStructuralFeatureValueAction`

### createLinkEndDataAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkEndDataAdapter()

  This creates an adapter for a `LinkEndData`.

  Overrides:
    `createLinkEndDataAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LinkEndData`

### createQualifierValueAdapter

    public org.eclipse.emf.common.notify.Adapter createQualifierValueAdapter()

  This creates an adapter for a `QualifierValue`.

  Overrides:
    `createQualifierValueAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `QualifierValue`

### createReadLinkActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadLinkActionAdapter()

  This creates an adapter for a `ReadLinkAction`.

  Overrides:
    `createReadLinkActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReadLinkAction`

### createLinkEndCreationDataAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkEndCreationDataAdapter()

  This creates an adapter for a `LinkEndCreationData`.

  Overrides:
    `createLinkEndCreationDataAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LinkEndCreationData`

### createCreateLinkActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCreateLinkActionAdapter()

  This creates an adapter for a `CreateLinkAction`.

  Overrides:
    `createCreateLinkActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CreateLinkAction`

### createDestroyLinkActionAdapter

    public org.eclipse.emf.common.notify.Adapter createDestroyLinkActionAdapter()

  This creates an adapter for a `DestroyLinkAction`.

  Overrides:
    `createDestroyLinkActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DestroyLinkAction`

### createLinkEndDestructionDataAdapter

    public org.eclipse.emf.common.notify.Adapter createLinkEndDestructionDataAdapter()

  This creates an adapter for a `LinkEndDestructionData`.

  Overrides:
    `createLinkEndDestructionDataAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LinkEndDestructionData`

### createClearAssociationActionAdapter

    public org.eclipse.emf.common.notify.Adapter createClearAssociationActionAdapter()

  This creates an adapter for a `ClearAssociationAction`.

  Overrides:
    `createClearAssociationActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ClearAssociationAction`

### createBroadcastSignalActionAdapter

    public org.eclipse.emf.common.notify.Adapter createBroadcastSignalActionAdapter()

  This creates an adapter for a `BroadcastSignalAction`.

  Overrides:
    `createBroadcastSignalActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `BroadcastSignalAction`

### createSendObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createSendObjectActionAdapter()

  This creates an adapter for a `SendObjectAction`.

  Overrides:
    `createSendObjectActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SendObjectAction`

### createValueSpecificationActionAdapter

    public org.eclipse.emf.common.notify.Adapter createValueSpecificationActionAdapter()

  This creates an adapter for a `ValueSpecificationAction`.

  Overrides:
    `createValueSpecificationActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValueSpecificationAction`

### createTimeExpressionAdapter

    public org.eclipse.emf.common.notify.Adapter createTimeExpressionAdapter()

  This creates an adapter for a `TimeExpression`.

  Overrides:
    `createTimeExpressionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TimeExpression`

### createDurationAdapter

    public org.eclipse.emf.common.notify.Adapter createDurationAdapter()

  This creates an adapter for a `Duration`.

  Overrides:
    `createDurationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Duration`

### createValuePinAdapter

    public org.eclipse.emf.common.notify.Adapter createValuePinAdapter()

  This creates an adapter for a `ValuePin`.

  Overrides:
    `createValuePinAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ValuePin`

### createDurationIntervalAdapter

    public org.eclipse.emf.common.notify.Adapter createDurationIntervalAdapter()

  This creates an adapter for a `DurationInterval`.

  Overrides:
    `createDurationIntervalAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DurationInterval`

### createIntervalAdapter

    public org.eclipse.emf.common.notify.Adapter createIntervalAdapter()

  This creates an adapter for a `Interval`.

  Overrides:
    `createIntervalAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Interval`

### createTimeConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createTimeConstraintAdapter()

  This creates an adapter for a `TimeConstraint`.

  Overrides:
    `createTimeConstraintAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TimeConstraint`

### createIntervalConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createIntervalConstraintAdapter()

  This creates an adapter for a `IntervalConstraint`.

  Overrides:
    `createIntervalConstraintAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `IntervalConstraint`

### createTimeIntervalAdapter

    public org.eclipse.emf.common.notify.Adapter createTimeIntervalAdapter()

  This creates an adapter for a `TimeInterval`.

  Overrides:
    `createTimeIntervalAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TimeInterval`

### createDurationConstraintAdapter

    public org.eclipse.emf.common.notify.Adapter createDurationConstraintAdapter()

  This creates an adapter for a `DurationConstraint`.

  Overrides:
    `createDurationConstraintAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DurationConstraint`

### createTimeObservationAdapter

    public org.eclipse.emf.common.notify.Adapter createTimeObservationAdapter()

  This creates an adapter for a `TimeObservation`.

  Overrides:
    `createTimeObservationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TimeObservation`

### createDurationObservationAdapter

    public org.eclipse.emf.common.notify.Adapter createDurationObservationAdapter()

  This creates an adapter for a `DurationObservation`.

  Overrides:
    `createDurationObservationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DurationObservation`

### createOpaqueActionAdapter

    public org.eclipse.emf.common.notify.Adapter createOpaqueActionAdapter()

  This creates an adapter for a `OpaqueAction`.

  Overrides:
    `createOpaqueActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `OpaqueAction`

### createSendSignalActionAdapter

    public org.eclipse.emf.common.notify.Adapter createSendSignalActionAdapter()

  This creates an adapter for a `SendSignalAction`.

  Overrides:
    `createSendSignalActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SendSignalAction`

### createCallOperationActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCallOperationActionAdapter()

  This creates an adapter for a `CallOperationAction`.

  Overrides:
    `createCallOperationActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CallOperationAction`

### createCallBehaviorActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCallBehaviorActionAdapter()

  This creates an adapter for a `CallBehaviorAction`.

  Overrides:
    `createCallBehaviorActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CallBehaviorAction`

### createInformationItemAdapter

    public org.eclipse.emf.common.notify.Adapter createInformationItemAdapter()

  This creates an adapter for a `InformationItem`.

  Overrides:
    `createInformationItemAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InformationItem`

### createInformationFlowAdapter

    public org.eclipse.emf.common.notify.Adapter createInformationFlowAdapter()

  This creates an adapter for a `InformationFlow`.

  Overrides:
    `createInformationFlowAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InformationFlow`

### createModelAdapter

    public org.eclipse.emf.common.notify.Adapter createModelAdapter()

  This creates an adapter for a `Model`.

  Overrides:
    `createModelAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Model`

### createReadVariableActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadVariableActionAdapter()

  This creates an adapter for a `ReadVariableAction`.

  Overrides:
    `createReadVariableActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReadVariableAction`

### createClearVariableActionAdapter

    public org.eclipse.emf.common.notify.Adapter createClearVariableActionAdapter()

  This creates an adapter for a `ClearVariableAction`.

  Overrides:
    `createClearVariableActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ClearVariableAction`

### createAddVariableValueActionAdapter

    public org.eclipse.emf.common.notify.Adapter createAddVariableValueActionAdapter()

  This creates an adapter for a `AddVariableValueAction`.

  Overrides:
    `createAddVariableValueActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AddVariableValueAction`

### createRemoveVariableValueActionAdapter

    public org.eclipse.emf.common.notify.Adapter createRemoveVariableValueActionAdapter()

  This creates an adapter for a `RemoveVariableValueAction`.

  Overrides:
    `createRemoveVariableValueActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RemoveVariableValueAction`

### createRaiseExceptionActionAdapter

    public org.eclipse.emf.common.notify.Adapter createRaiseExceptionActionAdapter()

  This creates an adapter for a `RaiseExceptionAction`.

  Overrides:
    `createRaiseExceptionActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `RaiseExceptionAction`

### createActionInputPinAdapter

    public org.eclipse.emf.common.notify.Adapter createActionInputPinAdapter()

  This creates an adapter for a `ActionInputPin`.

  Overrides:
    `createActionInputPinAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ActionInputPin`

### createReadExtentActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadExtentActionAdapter()

  This creates an adapter for a `ReadExtentAction`.

  Overrides:
    `createReadExtentActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReadExtentAction`

### createReclassifyObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReclassifyObjectActionAdapter()

  This creates an adapter for a `ReclassifyObjectAction`.

  Overrides:
    `createReclassifyObjectActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReclassifyObjectAction`

### createReadIsClassifiedObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadIsClassifiedObjectActionAdapter()

  This creates an adapter for a `ReadIsClassifiedObjectAction`.

  Overrides:
    `createReadIsClassifiedObjectActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReadIsClassifiedObjectAction`

### createStartClassifierBehaviorActionAdapter

    public org.eclipse.emf.common.notify.Adapter createStartClassifierBehaviorActionAdapter()

  This creates an adapter for a `StartClassifierBehaviorAction`.

  Overrides:
    `createStartClassifierBehaviorActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `StartClassifierBehaviorAction`

### createReadLinkObjectEndActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadLinkObjectEndActionAdapter()

  This creates an adapter for a `ReadLinkObjectEndAction`.

  Overrides:
    `createReadLinkObjectEndActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReadLinkObjectEndAction`

### createReadLinkObjectEndQualifierActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReadLinkObjectEndQualifierActionAdapter()

  This creates an adapter for a `ReadLinkObjectEndQualifierAction`.

  Overrides:
    `createReadLinkObjectEndQualifierActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReadLinkObjectEndQualifierAction`

### createCreateLinkObjectActionAdapter

    public org.eclipse.emf.common.notify.Adapter createCreateLinkObjectActionAdapter()

  This creates an adapter for a `CreateLinkObjectAction`.

  Overrides:
    `createCreateLinkObjectActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CreateLinkObjectAction`

### createAcceptEventActionAdapter

    public org.eclipse.emf.common.notify.Adapter createAcceptEventActionAdapter()

  This creates an adapter for a `AcceptEventAction`.

  Overrides:
    `createAcceptEventActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AcceptEventAction`

### createAcceptCallActionAdapter

    public org.eclipse.emf.common.notify.Adapter createAcceptCallActionAdapter()

  This creates an adapter for a `AcceptCallAction`.

  Overrides:
    `createAcceptCallActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AcceptCallAction`

### createReplyActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReplyActionAdapter()

  This creates an adapter for a `ReplyAction`.

  Overrides:
    `createReplyActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReplyAction`

### createUnmarshallActionAdapter

    public org.eclipse.emf.common.notify.Adapter createUnmarshallActionAdapter()

  This creates an adapter for a `UnmarshallAction`.

  Overrides:
    `createUnmarshallActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `UnmarshallAction`

### createReduceActionAdapter

    public org.eclipse.emf.common.notify.Adapter createReduceActionAdapter()

  This creates an adapter for a `ReduceAction`.

  Overrides:
    `createReduceActionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ReduceAction`

### createControlFlowAdapter

    public org.eclipse.emf.common.notify.Adapter createControlFlowAdapter()

  This creates an adapter for a `ControlFlow`.

  Overrides:
    `createControlFlowAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ControlFlow`

### createInitialNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createInitialNodeAdapter()

  This creates an adapter for a `InitialNode`.

  Overrides:
    `createInitialNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `InitialNode`

### createActivityParameterNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createActivityParameterNodeAdapter()

  This creates an adapter for a `ActivityParameterNode`.

  Overrides:
    `createActivityParameterNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ActivityParameterNode`

### createForkNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createForkNodeAdapter()

  This creates an adapter for a `ForkNode`.

  Overrides:
    `createForkNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ForkNode`

### createFlowFinalNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createFlowFinalNodeAdapter()

  This creates an adapter for a `FlowFinalNode`.

  Overrides:
    `createFlowFinalNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FlowFinalNode`

### createCentralBufferNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createCentralBufferNodeAdapter()

  This creates an adapter for a `CentralBufferNode`.

  Overrides:
    `createCentralBufferNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CentralBufferNode`

### createMergeNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createMergeNodeAdapter()

  This creates an adapter for a `MergeNode`.

  Overrides:
    `createMergeNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `MergeNode`

### createDecisionNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createDecisionNodeAdapter()

  This creates an adapter for a `DecisionNode`.

  Overrides:
    `createDecisionNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DecisionNode`

### createActivityFinalNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createActivityFinalNodeAdapter()

  This creates an adapter for a `ActivityFinalNode`.

  Overrides:
    `createActivityFinalNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ActivityFinalNode`

### createJoinNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createJoinNodeAdapter()

  This creates an adapter for a `JoinNode`.

  Overrides:
    `createJoinNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `JoinNode`

### createDataStoreNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createDataStoreNodeAdapter()

  This creates an adapter for a `DataStoreNode`.

  Overrides:
    `createDataStoreNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `DataStoreNode`

### createObjectFlowAdapter

    public org.eclipse.emf.common.notify.Adapter createObjectFlowAdapter()

  This creates an adapter for a `ObjectFlow`.

  Overrides:
    `createObjectFlowAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ObjectFlow`

### createSequenceNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createSequenceNodeAdapter()

  This creates an adapter for a `SequenceNode`.

  Overrides:
    `createSequenceNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `SequenceNode`

### createConditionalNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createConditionalNodeAdapter()

  This creates an adapter for a `ConditionalNode`.

  Overrides:
    `createConditionalNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ConditionalNode`

### createClauseAdapter

    public org.eclipse.emf.common.notify.Adapter createClauseAdapter()

  This creates an adapter for a `Clause`.

  Overrides:
    `createClauseAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Clause`

### createLoopNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createLoopNodeAdapter()

  This creates an adapter for a `LoopNode`.

  Overrides:
    `createLoopNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `LoopNode`

### createExpansionNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createExpansionNodeAdapter()

  This creates an adapter for a `ExpansionNode`.

  Overrides:
    `createExpansionNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExpansionNode`

### createExpansionRegionAdapter

    public org.eclipse.emf.common.notify.Adapter createExpansionRegionAdapter()

  This creates an adapter for a `ExpansionRegion`.

  Overrides:
    `createExpansionRegionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExpansionRegion`

### createComponentRealizationAdapter

    public org.eclipse.emf.common.notify.Adapter createComponentRealizationAdapter()

  This creates an adapter for a `ComponentRealization`.

  Overrides:
    `createComponentRealizationAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ComponentRealization`

### createComponentAdapter

    public org.eclipse.emf.common.notify.Adapter createComponentAdapter()

  This creates an adapter for a `Component`.

  Overrides:
    `createComponentAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Component`

### createNodeAdapter

    public org.eclipse.emf.common.notify.Adapter createNodeAdapter()

  This creates an adapter for a `Node`.

  Overrides:
    `createNodeAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Node`

### createDeviceAdapter

    public org.eclipse.emf.common.notify.Adapter createDeviceAdapter()

  This creates an adapter for a `Device`.

  Overrides:
    `createDeviceAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `Device`

### createExecutionEnvironmentAdapter

    public org.eclipse.emf.common.notify.Adapter createExecutionEnvironmentAdapter()

  This creates an adapter for a `ExecutionEnvironment`.

  Overrides:
    `createExecutionEnvironmentAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ExecutionEnvironment`

### createCommunicationPathAdapter

    public org.eclipse.emf.common.notify.Adapter createCommunicationPathAdapter()

  This creates an adapter for a `CommunicationPath`.

  Overrides:
    `createCommunicationPathAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `CommunicationPath`

### createFinalStateAdapter

    public org.eclipse.emf.common.notify.Adapter createFinalStateAdapter()

  This creates an adapter for a `FinalState`.

  Overrides:
    `createFinalStateAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FinalState`

### createTimeEventAdapter

    public org.eclipse.emf.common.notify.Adapter createTimeEventAdapter()

  This creates an adapter for a `TimeEvent`.

  Overrides:
    `createTimeEventAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `TimeEvent`

### createProtocolTransitionAdapter

    public org.eclipse.emf.common.notify.Adapter createProtocolTransitionAdapter()

  This creates an adapter for a `ProtocolTransition`.

  Overrides:
    `createProtocolTransitionAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `ProtocolTransition`

### createAssociationClassAdapter

    public org.eclipse.emf.common.notify.Adapter createAssociationClassAdapter()

  This creates an adapter for a `AssociationClass`.

  Overrides:
    `createAssociationClassAdapter` in class `UMLAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `AssociationClass`

### createStereotypeApplicationAdapter

    public org.eclipse.emf.common.notify.Adapter createStereotypeApplicationAdapter()

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForTypeGen

    public boolean isFactoryForTypeGen(java.lang.Object type)

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Description copied from class: `UMLAdapterFactory`
  Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `UMLAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### getChildCreationExtenders

    public java.util.List<org.eclipse.emf.edit.provider.IChildCreationExtender> getChildCreationExtenders()

### getNewChildDescriptors

    public java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                          org.eclipse.emf.edit.domain.EditingDomain editingDomain)

  Specified by:
    `getNewChildDescriptors` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Specified by:
    `getResourceLocator` in interface `org.eclipse.emf.edit.provider.IChildCreationExtender`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### disposeGen

    public void disposeGen()

  This disposes all of the item providers created by this factory.

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

### createAdapter

    public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

  Description copied from class: `UMLAdapterFactory`
  Creates an adapter for the `target`.

  Overrides:
    `createAdapter` in class `UMLAdapterFactory`
  Parameters:
    `target` - the object to adapt.
  Returns:
    the adapter for the `target`.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.